declare module '@sage/x3-finance-data-api-partial' {
    import type {
        CustomerInvoiceHeaderBillToCustomerAddressLines,
        CustomerInvoiceHeaderBillToCustomerAddressLinesBinding,
        CustomerInvoiceHeaderBillToCustomerAddressLinesInput,
        CustomerInvoiceHeaderBillToCustomerCompanyNames,
        CustomerInvoiceHeaderBillToCustomerCompanyNamesBinding,
        CustomerInvoiceHeaderBillToCustomerCompanyNamesInput,
        CustomerInvoiceHeaderComments,
        CustomerInvoiceHeaderCommentsBinding,
        CustomerInvoiceHeaderCommentsInput,
        CustomerInvoiceHeaderInput,
        CustomerInvoiceHeaderPayByBusinessPartnerAddressLines,
        CustomerInvoiceHeaderPayByBusinessPartnerAddressLinesBinding,
        CustomerInvoiceHeaderPayByBusinessPartnerAddressLinesInput,
        CustomerInvoiceHeaderPayByBusinessPartnerCompanyNames,
        CustomerInvoiceHeaderPayByBusinessPartnerCompanyNamesBinding,
        CustomerInvoiceHeaderPayByBusinessPartnerCompanyNamesInput,
        CustomerInvoiceHeaderTaxes,
        CustomerInvoiceHeaderTaxesBinding,
        CustomerInvoiceHeaderTaxesInput,
        CustomerInvoicingElements,
        CustomerInvoicingElementsBinding,
        CustomerInvoicingElementsInput,
        EarlyDiscountLateCharge,
        InvoicingTerm,
        Mandate,
        Package as SageX3InvoicingData$Package,
        PaymentMethod,
        PaymentTerm,
        ProductCategoryTaxLevels,
        ProductCategoryTaxLevelsBinding,
        ProductCategoryTaxLevelsInput,
        ProductTaxLevels,
        ProductTaxLevelsBinding,
        ProductTaxLevelsInput,
        SupplierInvoiceHeaderBillBySupplierAddressLines,
        SupplierInvoiceHeaderBillBySupplierAddressLinesBinding,
        SupplierInvoiceHeaderBillBySupplierAddressLinesInput,
        SupplierInvoiceHeaderBillBySupplierCompanyNames,
        SupplierInvoiceHeaderBillBySupplierCompanyNamesBinding,
        SupplierInvoiceHeaderBillBySupplierCompanyNamesInput,
        SupplierInvoiceHeaderComments,
        SupplierInvoiceHeaderCommentsBinding,
        SupplierInvoiceHeaderCommentsInput,
        SupplierInvoiceHeaderInput,
        SupplierInvoiceHeaderPayToBusinessPartnerAddressLines,
        SupplierInvoiceHeaderPayToBusinessPartnerAddressLinesBinding,
        SupplierInvoiceHeaderPayToBusinessPartnerAddressLinesInput,
        SupplierInvoiceHeaderPayToBusinessPartnerCompanyNames,
        SupplierInvoiceHeaderPayToBusinessPartnerCompanyNamesBinding,
        SupplierInvoiceHeaderPayToBusinessPartnerCompanyNamesInput,
        SupplierInvoiceHeaderTaxes,
        SupplierInvoiceHeaderTaxesBinding,
        SupplierInvoiceHeaderTaxesInput,
        TaxRule,
    } from '@sage/x3-invoicing-data-api';
    import type {
        Package as SageX3ManufacturingData$Package,
        StockJournalImportInput,
    } from '@sage/x3-manufacturing-data-api';
    import type {
        BomCodes,
        BusinessPartner,
        BusinessPartnerAddress,
        BusinessPartnerAddressInput,
        BusinessPartnerBankDetail,
        BusinessPartnerBankDetailInput,
        BusinessPartnerCompanyException,
        BusinessPartnerCompanyExceptionInput,
        BusinessPartnerCompanyNames,
        BusinessPartnerCompanyNamesBinding,
        BusinessPartnerCompanyNamesInput,
        BusinessPartnerContact,
        BusinessPartnerContactInput,
        BusinessPartnerInput,
        Carrier,
        Currency,
        Customer,
        CustomerAddress,
        CustomerAddressInput,
        CustomerBankDetail,
        CustomerBankDetailInput,
        CustomerCashTaxRules,
        CustomerCashTaxRulesBinding,
        CustomerCashTaxRulesInput,
        CustomerCategory,
        CustomerContact,
        CustomerContactInput,
        CustomerInput,
        CustomerPaymentDays,
        CustomerPaymentDaysBinding,
        CustomerPaymentDaysInput,
        CustomerProduct,
        CustomerProductInput,
        CustomerSalesReps,
        CustomerSalesRepsBinding,
        CustomerSalesRepsInput,
        CustomerStatisticalGroups,
        CustomerStatisticalGroupsBinding,
        CustomerStatisticalGroupsInput,
        Incoterm,
        Mapping,
        Package as SageX3MasterData$Package,
        PrintTemplate,
        Product,
        ProductCategory,
        ProductCategoryInput,
        ProductCategoryStatisticalGroups,
        ProductCategoryStatisticalGroupsBinding,
        ProductCategoryStatisticalGroupsInput,
        ProductInput,
        ProductPackingUnits,
        ProductPackingUnitsBinding,
        ProductPackingUnitsInput,
        ProductSite,
        ProductStatisticalGroups,
        ProductStatisticalGroupsBinding,
        ProductStatisticalGroupsInput,
        ShipToCustomerAddress,
        ShipToCustomerAddressInput,
        Supplier,
        SupplierAddress,
        SupplierAddressInput,
        SupplierCategory,
        SupplierContact,
        SupplierContactInput,
        SupplierInput,
        SupplierProduct,
        SupplierProductInput,
        TechnicalSheet,
        UnavailablePeriods,
        UnitOfMeasure,
    } from '@sage/x3-master-data-api';
    import type {
        CostType,
        Package as SageX3ProjectManagementData$Package,
        ProjectLink,
    } from '@sage/x3-project-management-data-api';
    import type {
        LicensePlateNumber,
        Location,
        MajorVersionStatus,
        Package as SageX3StockData$Package,
        ProductCategoryDefaultLocations,
        ProductCategoryDefaultLocationsBinding,
        ProductCategoryDefaultLocationsInput,
        ProductCategoryOverheads,
        ProductCategoryOverheadsBinding,
        ProductCategoryOverheadsInput,
        ProductCategoryPackingUnits,
        ProductCategoryPackingUnitsBinding,
        ProductCategoryPackingUnitsInput,
        StockJournalInput,
        StockManagementRules,
        StockManagementRulesInput,
        StockStatus,
        Warehouse,
    } from '@sage/x3-stock-data-api';
    import type { Country, Package as SageX3Structure$Package, SiteGroupings } from '@sage/x3-structure-api';
    import type {
        Access,
        Company,
        GenericPrintReport,
        Language,
        MiscellaneousTable,
        Package as SageX3System$Package,
        Site,
        User,
    } from '@sage/x3-system-api';
    import type { Package as SageXtremAppMetadata$Package } from '@sage/xtrem-app-metadata-api';
    import type { Package as SageXtremX3SystemUtils$Package, SysUser } from '@sage/xtrem-x3-system-utils-api';
    import type {
        AggregateQueryOperation,
        AggregateReadOperation,
        BinaryStream,
        ClientCollection,
        ClientNode,
        ClientNodeInput,
        GetDefaultsOperation,
        QueryOperation,
        ReadOperation,
        TextStream,
        VitalClientNode,
        VitalClientNodeInput,
        decimal,
        integer,
    } from '@sage/xtrem-client';
    export interface RevenueRecognitionMethod$Enum {
        notApplicable: 1;
        manualPercentageEntry: 2;
        percentageOfCostsWithEstimatedMarginAtCompletion: 3;
        percentageOfCostsWithoutEstimatedMarginAtCompletion: 4;
    }
    export type RevenueRecognitionMethod = keyof RevenueRecognitionMethod$Enum;
    export interface RevenueRecognitonType$Enum {
        project: 1;
        dimension: 2;
    }
    export type RevenueRecognitonType = keyof RevenueRecognitonType$Enum;
    export interface AccountScheme extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface AccountSchemeInput extends ClientNodeInput {
        code?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface AccountSchemeBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface AccountScheme$Operations {
        query: QueryOperation<AccountScheme>;
        read: ReadOperation<AccountScheme>;
        aggregate: {
            read: AggregateReadOperation<AccountScheme>;
            query: AggregateQueryOperation<AccountScheme>;
        };
        getDefaults: GetDefaultsOperation<AccountScheme>;
    }
    export interface Account extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        chartOfAccounts: ChartOfAccounts;
        code: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface AccountInput extends ClientNodeInput {
        chartOfAccounts?: string;
        code?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface AccountBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        chartOfAccounts: ChartOfAccounts;
        code: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface Account$Lookups {
        chartOfAccounts: QueryOperation<ChartOfAccounts>;
    }
    export interface Account$Operations {
        query: QueryOperation<Account>;
        read: ReadOperation<Account>;
        aggregate: {
            read: AggregateReadOperation<Account>;
            query: AggregateQueryOperation<Account>;
        };
        lookups(dataOrId: string | { data: AccountInput }): Account$Lookups;
        getDefaults: GetDefaultsOperation<Account>;
    }
    export interface AccountingCode extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        type: AccountingCodeType;
        accountingCode: string;
        chartOfAccounts: ChartOfAccounts;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface AccountingCodeInput extends ClientNodeInput {
        type?: AccountingCodeType;
        accountingCode?: string;
        chartOfAccounts?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface AccountingCodeBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        type: AccountingCodeType;
        accountingCode: string;
        chartOfAccounts: ChartOfAccounts;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface AccountingCode$Lookups {
        chartOfAccounts: QueryOperation<ChartOfAccounts>;
    }
    export interface AccountingCode$Operations {
        query: QueryOperation<AccountingCode>;
        read: ReadOperation<AccountingCode>;
        aggregate: {
            read: AggregateReadOperation<AccountingCode>;
            query: AggregateQueryOperation<AccountingCode>;
        };
        lookups(dataOrId: string | { data: AccountingCodeInput }): AccountingCode$Lookups;
        getDefaults: GetDefaultsOperation<AccountingCode>;
    }
    export interface AutomaticJournal extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        description: string;
        shortDescription: string;
    }
    export interface AutomaticJournalInput extends ClientNodeInput {
        code?: string;
        description?: string;
        shortDescription?: string;
    }
    export interface AutomaticJournalBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        description: string;
        shortDescription: string;
    }
    export interface AutomaticJournal$Operations {
        query: QueryOperation<AutomaticJournal>;
        read: ReadOperation<AutomaticJournal>;
        aggregate: {
            read: AggregateReadOperation<AutomaticJournal>;
            query: AggregateQueryOperation<AutomaticJournal>;
        };
        getDefaults: GetDefaultsOperation<AutomaticJournal>;
    }
    export interface BankAccount extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        bank: string;
        description: string;
        shortDescription: string;
    }
    export interface BankAccountInput extends ClientNodeInput {
        bank?: string;
        description?: string;
        shortDescription?: string;
    }
    export interface BankAccountBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        bank: string;
        description: string;
        shortDescription: string;
    }
    export interface BankAccount$Operations {
        query: QueryOperation<BankAccount>;
        read: ReadOperation<BankAccount>;
        aggregate: {
            read: AggregateReadOperation<BankAccount>;
            query: AggregateQueryOperation<BankAccount>;
        };
        getDefaults: GetDefaultsOperation<BankAccount>;
    }
    export interface BillOfLanding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        site: Site;
    }
    export interface BillOfLandingInput extends ClientNodeInput {
        code?: string;
        site?: string;
    }
    export interface BillOfLandingBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        site: Site;
    }
    export interface BillOfLanding$Lookups {
        site: QueryOperation<Site>;
    }
    export interface BillOfLanding$Operations {
        query: QueryOperation<BillOfLanding>;
        read: ReadOperation<BillOfLanding>;
        aggregate: {
            read: AggregateReadOperation<BillOfLanding>;
            query: AggregateQueryOperation<BillOfLanding>;
        };
        lookups(dataOrId: string | { data: BillOfLandingInput }): BillOfLanding$Lookups;
        getDefaults: GetDefaultsOperation<BillOfLanding>;
    }
    export interface ChartOfAccounts extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface ChartOfAccountsInput extends ClientNodeInput {
        code?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface ChartOfAccountsBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface ChartOfAccounts$Operations {
        query: QueryOperation<ChartOfAccounts>;
        read: ReadOperation<ChartOfAccounts>;
        aggregate: {
            read: AggregateReadOperation<ChartOfAccounts>;
            query: AggregateQueryOperation<ChartOfAccounts>;
        };
        getDefaults: GetDefaultsOperation<ChartOfAccounts>;
    }
    export interface CostTypeDimensions extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface CostTypeDimensionsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        code?: string;
        dimensionType?: string;
        dimension?: string;
    }
    export interface CostTypeDimensionsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface CostTypeDimensions$Lookups {
        dimensionType: QueryOperation<DimensionType>;
        dimension: QueryOperation<Dimension>;
    }
    export interface CostTypeDimensions$Operations {
        query: QueryOperation<CostTypeDimensions>;
        read: ReadOperation<CostTypeDimensions>;
        aggregate: {
            read: AggregateReadOperation<CostTypeDimensions>;
            query: AggregateQueryOperation<CostTypeDimensions>;
        };
        lookups(dataOrId: string | { data: CostTypeDimensionsInput }): CostTypeDimensions$Lookups;
        getDefaults: GetDefaultsOperation<CostTypeDimensions>;
    }
    export interface CustomerDimensions extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface CustomerDimensionsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        code?: string;
        dimensionType?: string;
        dimension?: string;
    }
    export interface CustomerDimensionsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface CustomerDimensions$Lookups {
        dimensionType: QueryOperation<DimensionType>;
        dimension: QueryOperation<Dimension>;
    }
    export interface CustomerDimensions$Operations {
        query: QueryOperation<CustomerDimensions>;
        read: ReadOperation<CustomerDimensions>;
        aggregate: {
            read: AggregateReadOperation<CustomerDimensions>;
            query: AggregateQueryOperation<CustomerDimensions>;
        };
        lookups(dataOrId: string | { data: CustomerDimensionsInput }): CustomerDimensions$Lookups;
        getDefaults: GetDefaultsOperation<CustomerDimensions>;
    }
    export interface CustomerInvoiceHeaderCurrencyRates extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        id: string;
        ledger: Ledger;
        ledgerCurrency: Currency;
        multiplyingRate: string;
        dividingRate: string;
    }
    export interface CustomerInvoiceHeaderCurrencyRatesInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        id?: string;
        ledger?: string;
        ledgerCurrency?: string;
        multiplyingRate?: decimal | string;
        dividingRate?: decimal | string;
    }
    export interface CustomerInvoiceHeaderCurrencyRatesBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        id: string;
        ledger: Ledger;
        ledgerCurrency: Currency;
        multiplyingRate: string;
        dividingRate: string;
    }
    export interface CustomerInvoiceHeaderCurrencyRates$Lookups {
        ledger: QueryOperation<Ledger>;
        ledgerCurrency: QueryOperation<Currency>;
    }
    export interface CustomerInvoiceHeaderCurrencyRates$Operations {
        query: QueryOperation<CustomerInvoiceHeaderCurrencyRates>;
        read: ReadOperation<CustomerInvoiceHeaderCurrencyRates>;
        aggregate: {
            read: AggregateReadOperation<CustomerInvoiceHeaderCurrencyRates>;
            query: AggregateQueryOperation<CustomerInvoiceHeaderCurrencyRates>;
        };
        lookups(
            dataOrId: string | { data: CustomerInvoiceHeaderCurrencyRatesInput },
        ): CustomerInvoiceHeaderCurrencyRates$Lookups;
        getDefaults: GetDefaultsOperation<CustomerInvoiceHeaderCurrencyRates>;
    }
    export interface CustomerInvoiceHeaderDimensions extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        id: string;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface CustomerInvoiceHeaderDimensionsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        id?: string;
        dimensionType?: string;
        dimension?: string;
    }
    export interface CustomerInvoiceHeaderDimensionsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        id: string;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface CustomerInvoiceHeaderDimensions$Lookups {
        dimensionType: QueryOperation<DimensionType>;
        dimension: QueryOperation<Dimension>;
    }
    export interface CustomerInvoiceHeaderDimensions$Operations {
        query: QueryOperation<CustomerInvoiceHeaderDimensions>;
        read: ReadOperation<CustomerInvoiceHeaderDimensions>;
        aggregate: {
            read: AggregateReadOperation<CustomerInvoiceHeaderDimensions>;
            query: AggregateQueryOperation<CustomerInvoiceHeaderDimensions>;
        };
        lookups(
            dataOrId: string | { data: CustomerInvoiceHeaderDimensionsInput },
        ): CustomerInvoiceHeaderDimensions$Lookups;
        getDefaults: GetDefaultsOperation<CustomerInvoiceHeaderDimensions>;
    }
    export interface DimensionType extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        dimensionType: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface DimensionTypeInput extends ClientNodeInput {
        dimensionType?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface DimensionTypeBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        dimensionType: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface DimensionType$Operations {
        query: QueryOperation<DimensionType>;
        read: ReadOperation<DimensionType>;
        aggregate: {
            read: AggregateReadOperation<DimensionType>;
            query: AggregateQueryOperation<DimensionType>;
        };
        getDefaults: GetDefaultsOperation<DimensionType>;
    }
    export interface Dimension extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        dimensionType: DimensionType;
        dimension: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface DimensionInput extends ClientNodeInput {
        dimensionType?: string;
        dimension?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface DimensionBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        dimensionType: DimensionType;
        dimension: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface Dimension$Lookups {
        dimensionType: QueryOperation<DimensionType>;
    }
    export interface Dimension$Operations {
        query: QueryOperation<Dimension>;
        read: ReadOperation<Dimension>;
        aggregate: {
            read: AggregateReadOperation<Dimension>;
            query: AggregateQueryOperation<Dimension>;
        };
        lookups(dataOrId: string | { data: DimensionInput }): Dimension$Lookups;
        getDefaults: GetDefaultsOperation<Dimension>;
    }
    export interface DistributionKey extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        numberOfLines: integer;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface DistributionKeyInput extends ClientNodeInput {
        code?: string;
        numberOfLines?: integer | string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface DistributionKeyBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        numberOfLines: integer;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface DistributionKey$Operations {
        query: QueryOperation<DistributionKey>;
        read: ReadOperation<DistributionKey>;
        aggregate: {
            read: AggregateReadOperation<DistributionKey>;
            query: AggregateQueryOperation<DistributionKey>;
        };
        getDefaults: GetDefaultsOperation<DistributionKey>;
    }
    export interface EntryType extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface EntryTypeInput extends ClientNodeInput {
        code?: string;
        legislation?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface EntryTypeBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface EntryType$Lookups {
        legislation: QueryOperation<MiscellaneousTable>;
    }
    export interface EntryType$Operations {
        query: QueryOperation<EntryType>;
        read: ReadOperation<EntryType>;
        aggregate: {
            read: AggregateReadOperation<EntryType>;
            query: AggregateQueryOperation<EntryType>;
        };
        lookups(dataOrId: string | { data: EntryTypeInput }): EntryType$Lookups;
        getDefaults: GetDefaultsOperation<EntryType>;
    }
    export interface Factor extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        companyName: string;
    }
    export interface FactorInput extends ClientNodeInput {
        code?: string;
        companyName?: string;
    }
    export interface FactorBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        companyName: string;
    }
    export interface Factor$Operations {
        query: QueryOperation<Factor>;
        read: ReadOperation<Factor>;
        aggregate: {
            read: AggregateReadOperation<Factor>;
            query: AggregateQueryOperation<Factor>;
        };
        getDefaults: GetDefaultsOperation<Factor>;
    }
    export interface FiscalYear extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        company: Company;
        ledgerTypeNumber: GeneralLedgerTypes;
        code: integer;
        description: string;
        shortDescription: string;
        startDate: string;
        endDate: string;
        closingDate: string;
        isAutoLedger: boolean;
        periods: ClientCollection<Period>;
    }
    export interface FiscalYearInput extends ClientNodeInput {
        company?: string;
        ledgerTypeNumber?: GeneralLedgerTypes;
        code?: integer | string;
        description?: string;
        shortDescription?: string;
        startDate?: string;
        endDate?: string;
        closingDate?: string;
        isAutoLedger?: boolean | string;
        periods?: Partial<PeriodInput>[];
    }
    export interface FiscalYearBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        company: Company;
        ledgerTypeNumber: GeneralLedgerTypes;
        code: integer;
        description: string;
        shortDescription: string;
        startDate: string;
        endDate: string;
        closingDate: string;
        isAutoLedger: boolean;
        periods: ClientCollection<Period>;
    }
    export interface FiscalYear$Lookups {
        company: QueryOperation<Company>;
    }
    export interface FiscalYear$Operations {
        query: QueryOperation<FiscalYear>;
        read: ReadOperation<FiscalYear>;
        aggregate: {
            read: AggregateReadOperation<FiscalYear>;
            query: AggregateQueryOperation<FiscalYear>;
        };
        lookups(dataOrId: string | { data: FiscalYearInput }): FiscalYear$Lookups;
        getDefaults: GetDefaultsOperation<FiscalYear>;
    }
    export interface JournalEntryTransaction extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface JournalEntryTransactionInput extends ClientNodeInput {
        code?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface JournalEntryTransactionBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface JournalEntryTransaction$Operations {
        query: QueryOperation<JournalEntryTransaction>;
        read: ReadOperation<JournalEntryTransaction>;
        aggregate: {
            read: AggregateReadOperation<JournalEntryTransaction>;
            query: AggregateQueryOperation<JournalEntryTransaction>;
        };
        getDefaults: GetDefaultsOperation<JournalEntryTransaction>;
    }
    export interface Journal extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface JournalInput extends ClientNodeInput {
        code?: string;
        legislation?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface JournalBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        legislation: MiscellaneousTable;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface Journal$Lookups {
        legislation: QueryOperation<MiscellaneousTable>;
    }
    export interface Journal$Operations {
        query: QueryOperation<Journal>;
        read: ReadOperation<Journal>;
        aggregate: {
            read: AggregateReadOperation<Journal>;
            query: AggregateQueryOperation<Journal>;
        };
        lookups(dataOrId: string | { data: JournalInput }): Journal$Lookups;
        getDefaults: GetDefaultsOperation<Journal>;
    }
    export interface Ledger extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface LedgerInput extends ClientNodeInput {
        code?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface LedgerBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface Ledger$Operations {
        query: QueryOperation<Ledger>;
        read: ReadOperation<Ledger>;
        aggregate: {
            read: AggregateReadOperation<Ledger>;
            query: AggregateQueryOperation<Ledger>;
        };
        getDefaults: GetDefaultsOperation<Ledger>;
    }
    export interface OpenItem extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        documentType: EntryType;
        documentNumber: string;
        lineNumber: integer;
        openItemLineNumber: integer;
        journalEntryLineInternalNumber: integer;
        company: Company;
        site: Site;
        currency: Currency;
        controlAccount: string;
        businessPartner: BusinessPartner;
        payToOrPayByBusinessPartner: BusinessPartner;
        dueDate: string;
        paymentMethod: PaymentMethod;
        paymentType: OpenItemType;
        earlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        sign: integer;
        amountInCurrency: string;
        amountInCompanyCurrency: string;
        paidAmountInCurrency: string;
        paidAmountInCompanyCurrency: string;
        provisionalPaidAmountInCurrency: string;
        provisionalPaidAmountInCompanyCurrency: string;
        canBeReminded: boolean;
        reminderLevel: integer;
        reminderDate: string;
        dispute: MiscellaneousTable;
        paymentApprovalLevel: PaymentApprovalType;
        canBeIncludedInStatement: boolean;
        postedStatus: integer;
        deductedPrepaymentAmount: string;
        prepaymentAmountToDeduct: string;
        fiscalYear: integer;
        period: integer;
        prepaymentInvoiceIssueDate: string;
        isPrepaymentIssued: boolean;
        closedStatus: integer;
        paymentDate: string;
        uniqueNumber: string;
    }
    export interface OpenItemInput extends ClientNodeInput {
        documentType?: string;
        documentNumber?: string;
        lineNumber?: integer | string;
        openItemLineNumber?: integer | string;
        journalEntryLineInternalNumber?: integer | string;
        company?: string;
        site?: string;
        currency?: string;
        controlAccount?: string;
        businessPartner?: string;
        payToOrPayByBusinessPartner?: string;
        dueDate?: string;
        paymentMethod?: string;
        paymentType?: OpenItemType;
        earlyDiscountOrLateCharge?: string;
        sign?: integer | string;
        amountInCurrency?: decimal | string;
        amountInCompanyCurrency?: decimal | string;
        paidAmountInCurrency?: decimal | string;
        paidAmountInCompanyCurrency?: decimal | string;
        provisionalPaidAmountInCurrency?: decimal | string;
        provisionalPaidAmountInCompanyCurrency?: decimal | string;
        canBeReminded?: boolean | string;
        reminderLevel?: integer | string;
        reminderDate?: string;
        dispute?: string;
        paymentApprovalLevel?: PaymentApprovalType;
        canBeIncludedInStatement?: boolean | string;
        postedStatus?: integer | string;
        deductedPrepaymentAmount?: decimal | string;
        prepaymentAmountToDeduct?: decimal | string;
        fiscalYear?: integer | string;
        period?: integer | string;
        prepaymentInvoiceIssueDate?: string;
        isPrepaymentIssued?: boolean | string;
        closedStatus?: integer | string;
        paymentDate?: string;
        uniqueNumber?: string;
    }
    export interface OpenItemBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        documentType: EntryType;
        documentNumber: string;
        lineNumber: integer;
        openItemLineNumber: integer;
        journalEntryLineInternalNumber: integer;
        company: Company;
        site: Site;
        currency: Currency;
        controlAccount: string;
        businessPartner: BusinessPartner;
        payToOrPayByBusinessPartner: BusinessPartner;
        dueDate: string;
        paymentMethod: PaymentMethod;
        paymentType: OpenItemType;
        earlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        sign: integer;
        amountInCurrency: string;
        amountInCompanyCurrency: string;
        paidAmountInCurrency: string;
        paidAmountInCompanyCurrency: string;
        provisionalPaidAmountInCurrency: string;
        provisionalPaidAmountInCompanyCurrency: string;
        canBeReminded: boolean;
        reminderLevel: integer;
        reminderDate: string;
        dispute: MiscellaneousTable;
        paymentApprovalLevel: PaymentApprovalType;
        canBeIncludedInStatement: boolean;
        postedStatus: integer;
        deductedPrepaymentAmount: string;
        prepaymentAmountToDeduct: string;
        fiscalYear: integer;
        period: integer;
        prepaymentInvoiceIssueDate: string;
        isPrepaymentIssued: boolean;
        closedStatus: integer;
        paymentDate: string;
        uniqueNumber: string;
    }
    export interface OpenItem$Lookups {
        documentType: QueryOperation<EntryType>;
        company: QueryOperation<Company>;
        site: QueryOperation<Site>;
        currency: QueryOperation<Currency>;
        businessPartner: QueryOperation<BusinessPartner>;
        payToOrPayByBusinessPartner: QueryOperation<BusinessPartner>;
        paymentMethod: QueryOperation<PaymentMethod>;
        earlyDiscountOrLateCharge: QueryOperation<EarlyDiscountLateCharge>;
        dispute: QueryOperation<MiscellaneousTable>;
    }
    export interface OpenItem$Operations {
        query: QueryOperation<OpenItem>;
        read: ReadOperation<OpenItem>;
        aggregate: {
            read: AggregateReadOperation<OpenItem>;
            query: AggregateQueryOperation<OpenItem>;
        };
        lookups(dataOrId: string | { data: OpenItemInput }): OpenItem$Lookups;
        getDefaults: GetDefaultsOperation<OpenItem>;
    }
    export interface Period extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        company: Company;
        ledgerTypeNumber: GeneralLedgerTypes;
        fiscalYear: integer;
        code: integer;
        startDate: string;
        endDate: string;
        status: FiscalYearPeriodStatus;
        closingDate: string;
        isAutoLedger: boolean;
    }
    export interface PeriodInput extends ClientNodeInput {
        company?: string;
        ledgerTypeNumber?: GeneralLedgerTypes;
        fiscalYear?: integer | string;
        code?: integer | string;
        startDate?: string;
        endDate?: string;
        status?: FiscalYearPeriodStatus;
        closingDate?: string;
        isAutoLedger?: boolean | string;
    }
    export interface PeriodBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        company: Company;
        ledgerTypeNumber: GeneralLedgerTypes;
        fiscalYear: integer;
        code: integer;
        startDate: string;
        endDate: string;
        status: FiscalYearPeriodStatus;
        closingDate: string;
        isAutoLedger: boolean;
    }
    export interface Period$Lookups {
        company: QueryOperation<Company>;
    }
    export interface Period$Operations {
        query: QueryOperation<Period>;
        read: ReadOperation<Period>;
        aggregate: {
            read: AggregateReadOperation<Period>;
            query: AggregateQueryOperation<Period>;
        };
        lookups(dataOrId: string | { data: PeriodInput }): Period$Lookups;
        getDefaults: GetDefaultsOperation<Period>;
    }
    export interface ProductCategoryDimensions extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        stockSite: string;
        code: string;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface ProductCategoryDimensionsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        stockSite?: string;
        code?: string;
        dimensionType?: string;
        dimension?: string;
    }
    export interface ProductCategoryDimensionsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        stockSite: string;
        code: string;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface ProductCategoryDimensions$Lookups {
        dimensionType: QueryOperation<DimensionType>;
        dimension: QueryOperation<Dimension>;
    }
    export interface ProductCategoryDimensions$Operations {
        query: QueryOperation<ProductCategoryDimensions>;
        read: ReadOperation<ProductCategoryDimensions>;
        aggregate: {
            read: AggregateReadOperation<ProductCategoryDimensions>;
            query: AggregateQueryOperation<ProductCategoryDimensions>;
        };
        lookups(dataOrId: string | { data: ProductCategoryDimensionsInput }): ProductCategoryDimensions$Lookups;
        getDefaults: GetDefaultsOperation<ProductCategoryDimensions>;
    }
    export interface ProductDimensions extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface ProductDimensionsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        code?: string;
        dimensionType?: string;
        dimension?: string;
    }
    export interface ProductDimensionsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        code: string;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface ProductDimensions$Lookups {
        dimensionType: QueryOperation<DimensionType>;
        dimension: QueryOperation<Dimension>;
    }
    export interface ProductDimensions$Operations {
        query: QueryOperation<ProductDimensions>;
        read: ReadOperation<ProductDimensions>;
        aggregate: {
            read: AggregateReadOperation<ProductDimensions>;
            query: AggregateQueryOperation<ProductDimensions>;
        };
        lookups(dataOrId: string | { data: ProductDimensionsInput }): ProductDimensions$Lookups;
        getDefaults: GetDefaultsOperation<ProductDimensions>;
    }
    export interface ReminderGroup extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface ReminderGroupInput extends ClientNodeInput {
        code?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
    }
    export interface ReminderGroupBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        localizedDescription: string;
        localizedShortDescription: string;
    }
    export interface ReminderGroup$Operations {
        query: QueryOperation<ReminderGroup>;
        read: ReadOperation<ReminderGroup>;
        aggregate: {
            read: AggregateReadOperation<ReminderGroup>;
            query: AggregateQueryOperation<ReminderGroup>;
        };
        getDefaults: GetDefaultsOperation<ReminderGroup>;
    }
    export interface RevenueRecognitionRules extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        company: Company;
        code: string;
        project: ProjectLink;
        localizedDescription: string;
        ledger: GeneralLedgerTypes;
        ledgerType: MiscellaneousTable;
        access: Access;
        revenueRecognitionMethod: RevenueRecognitionMethod;
        isActive: boolean;
        revenueType: RevenueRecognitonType;
        dimensionType: string;
        analyticalDimension: string;
    }
    export interface RevenueRecognitionRulesInput extends ClientNodeInput {
        company?: string;
        code?: string;
        project?: string;
        localizedDescription?: string;
        ledger?: GeneralLedgerTypes;
        ledgerType?: string;
        access?: string;
        revenueRecognitionMethod?: RevenueRecognitionMethod;
        isActive?: boolean | string;
        revenueType?: RevenueRecognitonType;
        dimensionType?: string;
        analyticalDimension?: string;
    }
    export interface RevenueRecognitionRulesBinding extends ClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        company: Company;
        code: string;
        project: ProjectLink;
        localizedDescription: string;
        ledger: GeneralLedgerTypes;
        ledgerType: MiscellaneousTable;
        access: Access;
        revenueRecognitionMethod: RevenueRecognitionMethod;
        isActive: boolean;
        revenueType: RevenueRecognitonType;
        dimensionType: string;
        analyticalDimension: string;
    }
    export interface RevenueRecognitionRules$Lookups {
        company: QueryOperation<Company>;
        project: QueryOperation<ProjectLink>;
        ledgerType: QueryOperation<MiscellaneousTable>;
        access: QueryOperation<Access>;
    }
    export interface RevenueRecognitionRules$Operations {
        query: QueryOperation<RevenueRecognitionRules>;
        read: ReadOperation<RevenueRecognitionRules>;
        aggregate: {
            read: AggregateReadOperation<RevenueRecognitionRules>;
            query: AggregateQueryOperation<RevenueRecognitionRules>;
        };
        lookups(dataOrId: string | { data: RevenueRecognitionRulesInput }): RevenueRecognitionRules$Lookups;
        getDefaults: GetDefaultsOperation<RevenueRecognitionRules>;
    }
    export interface StockJournalDimensions extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        stockSite: string;
        isUpdated: boolean;
        product: string;
        effectiveDate: string;
        sequence: integer;
        index: integer;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface StockJournalDimensionsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        stockSite?: string;
        isUpdated?: boolean | string;
        product?: string;
        effectiveDate?: string;
        sequence?: integer | string;
        index?: integer | string;
        dimensionType?: string;
        dimension?: string;
    }
    export interface StockJournalDimensionsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        stockSite: string;
        isUpdated: boolean;
        product: string;
        effectiveDate: string;
        sequence: integer;
        index: integer;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface StockJournalDimensions$Lookups {
        dimensionType: QueryOperation<DimensionType>;
        dimension: QueryOperation<Dimension>;
    }
    export interface StockJournalDimensions$Operations {
        query: QueryOperation<StockJournalDimensions>;
        read: ReadOperation<StockJournalDimensions>;
        aggregate: {
            read: AggregateReadOperation<StockJournalDimensions>;
            query: AggregateQueryOperation<StockJournalDimensions>;
        };
        lookups(dataOrId: string | { data: StockJournalDimensionsInput }): StockJournalDimensions$Lookups;
        getDefaults: GetDefaultsOperation<StockJournalDimensions>;
    }
    export interface StockJournalImportDimensions extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        stockSite: string;
        isUpdated: boolean;
        product: string;
        effectiveDate: string;
        sequence: integer;
        index: integer;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface StockJournalImportDimensionsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        stockSite?: string;
        isUpdated?: boolean | string;
        product?: string;
        effectiveDate?: string;
        sequence?: integer | string;
        index?: integer | string;
        dimensionType?: string;
        dimension?: string;
    }
    export interface StockJournalImportDimensionsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        stockSite: string;
        isUpdated: boolean;
        product: string;
        effectiveDate: string;
        sequence: integer;
        index: integer;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface StockJournalImportDimensions$Lookups {
        dimensionType: QueryOperation<DimensionType>;
        dimension: QueryOperation<Dimension>;
    }
    export interface StockJournalImportDimensions$Operations {
        query: QueryOperation<StockJournalImportDimensions>;
        read: ReadOperation<StockJournalImportDimensions>;
        aggregate: {
            read: AggregateReadOperation<StockJournalImportDimensions>;
            query: AggregateQueryOperation<StockJournalImportDimensions>;
        };
        lookups(dataOrId: string | { data: StockJournalImportDimensionsInput }): StockJournalImportDimensions$Lookups;
        getDefaults: GetDefaultsOperation<StockJournalImportDimensions>;
    }
    export interface SupplierInvoiceHeaderCurrencyRates extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        id: string;
        ledger: Ledger;
        ledgerCurrency: Currency;
        multiplyingRate: string;
        dividingRate: string;
    }
    export interface SupplierInvoiceHeaderCurrencyRatesInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        id?: string;
        ledger?: string;
        ledgerCurrency?: string;
        multiplyingRate?: decimal | string;
        dividingRate?: decimal | string;
    }
    export interface SupplierInvoiceHeaderCurrencyRatesBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        id: string;
        ledger: Ledger;
        ledgerCurrency: Currency;
        multiplyingRate: string;
        dividingRate: string;
    }
    export interface SupplierInvoiceHeaderCurrencyRates$Lookups {
        ledger: QueryOperation<Ledger>;
        ledgerCurrency: QueryOperation<Currency>;
    }
    export interface SupplierInvoiceHeaderCurrencyRates$Operations {
        query: QueryOperation<SupplierInvoiceHeaderCurrencyRates>;
        read: ReadOperation<SupplierInvoiceHeaderCurrencyRates>;
        aggregate: {
            read: AggregateReadOperation<SupplierInvoiceHeaderCurrencyRates>;
            query: AggregateQueryOperation<SupplierInvoiceHeaderCurrencyRates>;
        };
        lookups(
            dataOrId: string | { data: SupplierInvoiceHeaderCurrencyRatesInput },
        ): SupplierInvoiceHeaderCurrencyRates$Lookups;
        getDefaults: GetDefaultsOperation<SupplierInvoiceHeaderCurrencyRates>;
    }
    export interface SupplierInvoiceHeaderDimensions extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        id: string;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface SupplierInvoiceHeaderDimensionsInput extends VitalClientNodeInput {
        denormalizedIndex?: integer | string;
        id?: string;
        dimensionType?: string;
        dimension?: string;
    }
    export interface SupplierInvoiceHeaderDimensionsBinding extends VitalClientNode {
        _updateUser: SysUser;
        _createUser: SysUser;
        denormalizedIndex: integer;
        id: string;
        dimensionType: DimensionType;
        dimension: Dimension;
    }
    export interface SupplierInvoiceHeaderDimensions$Lookups {
        dimensionType: QueryOperation<DimensionType>;
        dimension: QueryOperation<Dimension>;
    }
    export interface SupplierInvoiceHeaderDimensions$Operations {
        query: QueryOperation<SupplierInvoiceHeaderDimensions>;
        read: ReadOperation<SupplierInvoiceHeaderDimensions>;
        aggregate: {
            read: AggregateReadOperation<SupplierInvoiceHeaderDimensions>;
            query: AggregateQueryOperation<SupplierInvoiceHeaderDimensions>;
        };
        lookups(
            dataOrId: string | { data: SupplierInvoiceHeaderDimensionsInput },
        ): SupplierInvoiceHeaderDimensions$Lookups;
        getDefaults: GetDefaultsOperation<SupplierInvoiceHeaderDimensions>;
    }
    export interface BusinessPartnerCompanyExceptionExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        businessPartner: BusinessPartner;
        company: Company;
        isAuthorizedEntry: boolean;
        contractualPeriod: integer;
        isCashExcluded: boolean;
        electronicInvoiceType: ElectronicInvoiceType;
        mappingCode: Mapping;
        registrationAgreement: string;
        businessPartnerTaxRule: TaxRule;
        customerTaxRule: TaxRule;
        supplierTaxRule: TaxRule;
        customerPaymentTerm: PaymentTerm;
        supplierPaymentTerm: PaymentTerm;
        customerEarlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        supplierEarlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        customerAccountingCode: AccountingCode;
        supplierAccountingCode: AccountingCode;
        paymentBankIsrQr: BankAccount;
    }
    export interface BusinessPartnerCompanyExceptionInputExtension {
        businessPartner?: string;
        company?: string;
        isAuthorizedEntry?: boolean | string;
        contractualPeriod?: integer | string;
        isCashExcluded?: boolean | string;
        electronicInvoiceType?: ElectronicInvoiceType;
        mappingCode?: string;
        registrationAgreement?: string;
        businessPartnerTaxRule?: string;
        customerTaxRule?: string;
        supplierTaxRule?: string;
        customerPaymentTerm?: string;
        supplierPaymentTerm?: string;
        customerEarlyDiscountOrLateCharge?: string;
        supplierEarlyDiscountOrLateCharge?: string;
        customerAccountingCode?: string;
        supplierAccountingCode?: string;
        paymentBankIsrQr?: string;
    }
    export interface BusinessPartnerCompanyExceptionBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        businessPartner: BusinessPartner;
        company: Company;
        isAuthorizedEntry: boolean;
        contractualPeriod: integer;
        isCashExcluded: boolean;
        electronicInvoiceType: ElectronicInvoiceType;
        mappingCode: Mapping;
        registrationAgreement: string;
        businessPartnerTaxRule: TaxRule;
        customerTaxRule: TaxRule;
        supplierTaxRule: TaxRule;
        customerPaymentTerm: PaymentTerm;
        supplierPaymentTerm: PaymentTerm;
        customerEarlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        supplierEarlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        customerAccountingCode: AccountingCode;
        supplierAccountingCode: AccountingCode;
        paymentBankIsrQr: BankAccount;
    }
    export interface BusinessPartnerCompanyExceptionExtension$Lookups {
        customerAccountingCode: QueryOperation<AccountingCode>;
        supplierAccountingCode: QueryOperation<AccountingCode>;
        paymentBankIsrQr: QueryOperation<BankAccount>;
    }
    export interface BusinessPartnerCompanyExceptionExtension$Operations {
        lookups(
            dataOrId: string | { data: BusinessPartnerCompanyExceptionInput },
        ): BusinessPartnerCompanyExceptionExtension$Lookups;
    }
    export interface BusinessPartnerExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        isActive: boolean;
        category: CustomerCategory;
        customerOrSupplierOriginCategory: string;
        companyName1: string;
        companyName2: string;
        shortCompanyName: string;
        europeanUnionVatNumber: string;
        isIntersite: boolean;
        businessPartnerSite: Site;
        country: Country;
        siteIdentificationNumber: string;
        standardIndustrialClassificationCode: string;
        currency: Currency;
        language: Language;
        acronym: string;
        italianTaxNumber: string;
        fiscalCode: string;
        consolidationGroup: SiteGroupings;
        consolidationCode: string;
        isCustomer: boolean;
        isSupplier: boolean;
        isGrantor: boolean;
        isCarrier: boolean;
        isFactor: boolean;
        isSalesRep: boolean;
        isMiscellaneousBusinessPartner: boolean;
        isProspect: boolean;
        isServiceSupplier: boolean;
        isServiceCaller: boolean;
        defaultAddress: BusinessPartnerAddress;
        defaultContact: BusinessPartnerContact;
        defaultBankId: BusinessPartnerBankDetail;
        bankIdCountry: Country;
        reportAccessCode: Access;
        isMailingProhibited: boolean;
        cfonbPaymentMethod: MiscellaneousTable;
        nonResidentAccount: BusinessPartnerAddress;
        isPhysicalPerson: boolean;
        isCashExcluded: boolean;
        documentType: DocumentType;
        isPublicSector: boolean;
        relatedCompany: RelatedCompanySettings;
        consolidationPartner: BusinessPartner;
        registrationNumber: string;
        vatNumber: string;
        economicOperatorRegistrationAndIdNumber: string;
        serviceCode: string;
        routingCode: string;
        electronicInvoiceType: ElectronicInvoiceType;
        mappingCode: Mapping;
        electronicAddress: string;
        addresses: ClientCollection<BusinessPartnerAddress>;
        contacts: ClientCollection<BusinessPartnerContact>;
        bankDetails: ClientCollection<BusinessPartnerBankDetail>;
        companyException: ClientCollection<BusinessPartnerCompanyException>;
        companyNames: ClientCollection<BusinessPartnerCompanyNames>;
        accountingCode: AccountingCode;
        expenseEntryType: EntryType;
    }
    export interface BusinessPartnerInputExtension {
        code?: string;
        isActive?: boolean | string;
        category?: string;
        customerOrSupplierOriginCategory?: string;
        companyName1?: string;
        companyName2?: string;
        shortCompanyName?: string;
        europeanUnionVatNumber?: string;
        isIntersite?: boolean | string;
        businessPartnerSite?: string;
        country?: string;
        siteIdentificationNumber?: string;
        standardIndustrialClassificationCode?: string;
        currency?: string;
        language?: string;
        acronym?: string;
        italianTaxNumber?: string;
        fiscalCode?: string;
        consolidationGroup?: string;
        consolidationCode?: string;
        isCustomer?: boolean | string;
        isSupplier?: boolean | string;
        isGrantor?: boolean | string;
        isCarrier?: boolean | string;
        isFactor?: boolean | string;
        isSalesRep?: boolean | string;
        isMiscellaneousBusinessPartner?: boolean | string;
        isProspect?: boolean | string;
        isServiceSupplier?: boolean | string;
        isServiceCaller?: boolean | string;
        defaultAddress?: string;
        defaultContact?: string;
        defaultBankId?: string;
        bankIdCountry?: string;
        reportAccessCode?: string;
        isMailingProhibited?: boolean | string;
        cfonbPaymentMethod?: string;
        nonResidentAccount?: string;
        isPhysicalPerson?: boolean | string;
        isCashExcluded?: boolean | string;
        documentType?: DocumentType;
        isPublicSector?: boolean | string;
        relatedCompany?: RelatedCompanySettings;
        consolidationPartner?: string;
        registrationNumber?: string;
        vatNumber?: string;
        economicOperatorRegistrationAndIdNumber?: string;
        serviceCode?: string;
        routingCode?: string;
        electronicInvoiceType?: ElectronicInvoiceType;
        mappingCode?: string;
        electronicAddress?: string;
        addresses?: Partial<BusinessPartnerAddressInput>[];
        contacts?: Partial<BusinessPartnerContactInput>[];
        bankDetails?: Partial<BusinessPartnerBankDetailInput>[];
        companyException?: Partial<BusinessPartnerCompanyExceptionInput>[];
        companyNames?: Partial<BusinessPartnerCompanyNamesInput>[];
        accountingCode?: string;
        expenseEntryType?: string;
    }
    export interface BusinessPartnerBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        isActive: boolean;
        category: CustomerCategory;
        customerOrSupplierOriginCategory: string;
        companyName1: string;
        companyName2: string;
        shortCompanyName: string;
        europeanUnionVatNumber: string;
        isIntersite: boolean;
        businessPartnerSite: Site;
        country: Country;
        siteIdentificationNumber: string;
        standardIndustrialClassificationCode: string;
        currency: Currency;
        language: Language;
        acronym: string;
        italianTaxNumber: string;
        fiscalCode: string;
        consolidationGroup: SiteGroupings;
        consolidationCode: string;
        isCustomer: boolean;
        isSupplier: boolean;
        isGrantor: boolean;
        isCarrier: boolean;
        isFactor: boolean;
        isSalesRep: boolean;
        isMiscellaneousBusinessPartner: boolean;
        isProspect: boolean;
        isServiceSupplier: boolean;
        isServiceCaller: boolean;
        defaultAddress: BusinessPartnerAddress;
        defaultContact: BusinessPartnerContact;
        defaultBankId: BusinessPartnerBankDetail;
        bankIdCountry: Country;
        reportAccessCode: Access;
        isMailingProhibited: boolean;
        cfonbPaymentMethod: MiscellaneousTable;
        nonResidentAccount: BusinessPartnerAddress;
        isPhysicalPerson: boolean;
        isCashExcluded: boolean;
        documentType: DocumentType;
        isPublicSector: boolean;
        relatedCompany: RelatedCompanySettings;
        consolidationPartner: BusinessPartner;
        registrationNumber: string;
        vatNumber: string;
        economicOperatorRegistrationAndIdNumber: string;
        serviceCode: string;
        routingCode: string;
        electronicInvoiceType: ElectronicInvoiceType;
        mappingCode: Mapping;
        electronicAddress: string;
        addresses: ClientCollection<BusinessPartnerAddress>;
        contacts: ClientCollection<BusinessPartnerContact>;
        bankDetails: ClientCollection<BusinessPartnerBankDetail>;
        companyException: ClientCollection<BusinessPartnerCompanyException>;
        companyNames: ClientCollection<BusinessPartnerCompanyNamesBinding>;
        accountingCode: AccountingCode;
        expenseEntryType: EntryType;
    }
    export interface BusinessPartnerExtension$Lookups {
        accountingCode: QueryOperation<AccountingCode>;
        expenseEntryType: QueryOperation<EntryType>;
    }
    export interface BusinessPartnerExtension$Operations {
        lookups(dataOrId: string | { data: BusinessPartnerInput }): BusinessPartnerExtension$Lookups;
    }
    export interface CostTypeExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        site: Site;
        localizedDescription: string;
        localizedShortDescription: string;
        isActive: boolean;
        dimensions: ClientCollection<CostTypeDimensions>;
    }
    export interface CostTypeInputExtension {
        code?: string;
        site?: string;
        localizedDescription?: string;
        localizedShortDescription?: string;
        isActive?: boolean | string;
        dimensions?: Partial<CostTypeDimensionsInput>[];
    }
    export interface CostTypeBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        site: Site;
        localizedDescription: string;
        localizedShortDescription: string;
        isActive: boolean;
        dimensions: ClientCollection<CostTypeDimensionsBinding>;
    }
    export interface CustomerExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: BusinessPartner;
        customerCategory: CustomerCategory;
        billToCustomer: Customer;
        billToCustomerAddress: CustomerAddress;
        payByCustomer: BusinessPartner;
        payByCustomerAddress: BusinessPartnerAddress;
        groupCustomer: Customer;
        riskCustomer: Customer;
        defaultAddress: CustomerAddress;
        defaultShipToAddress: ShipToCustomerAddress;
        defaultContact: CustomerContact;
        isActive: boolean;
        ourSupplierCode: string;
        currency: Currency;
        rateType: ExchangeRateType;
        commissionCategory: CommissionCategory;
        exemptionTaxNumber: string;
        priceOrAmountType: PriceAmountTaxTax;
        creditControl: WorkInProgressControl;
        authorizedCreditAmount: string;
        minimumOrderAmount: string;
        creditInsuranceAmount: string;
        insuranceDate: string;
        insuranceCompany: BusinessPartner;
        reminderType: ReminderType;
        minimumReminderAmount: string;
        canBeMatched: boolean;
        isLoanAllowed: boolean;
        mustPrintAcknowledgment: boolean;
        isOrderClosingAllowed: boolean;
        mustContainOneOrderPerDelivery: boolean;
        businessSector: MiscellaneousTable;
        prospectOrigin: MiscellaneousTable;
        tokenCredit: integer;
        manualAdditionalToken: integer;
        totalTokenCredit: integer;
        necessaryTokensForServiceContract: integer;
        firstContactDate: string;
        firstOrderDate: string;
        lastQuoteDate: string;
        lastContactDate: string;
        nextContactDate: string;
        customerAbcClass: ProductAbcClass;
        printTemplate: PrintTemplate;
        initialDateSinceCustomer: string;
        unavailablePaymentPeriod: UnavailablePeriods;
        isSubjectToTax: boolean;
        isEfatElectronicInvoicingAllowed: boolean;
        contact: CustomerContact;
        startDateforElectronicInvoice: string;
        isElectronicInvoiceAllowed: boolean;
        addresses: ClientCollection<CustomerAddress>;
        contacts: ClientCollection<CustomerContact>;
        bankDetails: ClientCollection<CustomerBankDetail>;
        businessPartner: BusinessPartner;
        shipToCustomers: ClientCollection<ShipToCustomerAddress>;
        acronym: string;
        businessPartnerSite: Site;
        cfonbPaymentMethod: MiscellaneousTable;
        companyName1: string;
        companyName2: string;
        companyNames: ClientCollection<BusinessPartnerCompanyNames>;
        consolidationCode: string;
        consolidationGroup: SiteGroupings;
        consolidationPartner: BusinessPartner;
        country: Country;
        customerOrSupplierOriginCategory: string;
        documentType: DocumentType;
        economicOperatorRegistrationAndIdNumber: string;
        electronicAddress: string;
        electronicInvoiceType: ElectronicInvoiceType;
        europeanUnionVatNumber: string;
        fiscalCode: string;
        invoiceHeaderText: TextStream;
        isCashExcluded: boolean;
        isIntersite: boolean;
        isMailingProhibited: boolean;
        isPhysicalPerson: boolean;
        isPublicSector: boolean;
        isServiceCaller: boolean;
        isServiceSupplier: boolean;
        italianTaxNumber: string;
        language: Language;
        nonResidentAccount: BusinessPartnerAddress;
        orderHeaderText: TextStream;
        registrationNumber: string;
        relatedCompany: RelatedCompanySettings;
        reportAccessCode: Access;
        routingCode: string;
        serviceCode: string;
        shortCompanyName: string;
        siteIdentificationNumber: string;
        standardIndustrialClassificationCode: string;
        vatNumber: string;
        cashTaxRules: ClientCollection<CustomerCashTaxRules>;
        paymentDays: ClientCollection<CustomerPaymentDays>;
        salesReps: ClientCollection<CustomerSalesReps>;
        statisticalGroups: ClientCollection<CustomerStatisticalGroups>;
        taxRule: TaxRule;
        paymentTerm: PaymentTerm;
        earlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        invoicingTerm: InvoicingTerm;
        invoicingElements: ClientCollection<CustomerInvoicingElements>;
        reminderGroup: ReminderGroup;
        factor: Factor;
        paymentBank: BankAccount;
        accountingCode: AccountingCode;
        accountStructure: AccountScheme;
        dimensions: ClientCollection<CustomerDimensions>;
    }
    export interface CustomerInputExtension {
        code?: string;
        customerCategory?: string;
        billToCustomer?: string;
        billToCustomerAddress?: string;
        payByCustomer?: string;
        payByCustomerAddress?: string;
        groupCustomer?: string;
        riskCustomer?: string;
        defaultAddress?: string;
        defaultShipToAddress?: string;
        defaultContact?: string;
        isActive?: boolean | string;
        ourSupplierCode?: string;
        currency?: string;
        rateType?: ExchangeRateType;
        commissionCategory?: CommissionCategory;
        exemptionTaxNumber?: string;
        priceOrAmountType?: PriceAmountTaxTax;
        creditControl?: WorkInProgressControl;
        authorizedCreditAmount?: decimal | string;
        minimumOrderAmount?: decimal | string;
        creditInsuranceAmount?: decimal | string;
        insuranceDate?: string;
        insuranceCompany?: string;
        reminderType?: ReminderType;
        minimumReminderAmount?: decimal | string;
        canBeMatched?: boolean | string;
        isLoanAllowed?: boolean | string;
        mustPrintAcknowledgment?: boolean | string;
        isOrderClosingAllowed?: boolean | string;
        mustContainOneOrderPerDelivery?: boolean | string;
        businessSector?: string;
        prospectOrigin?: string;
        tokenCredit?: integer | string;
        manualAdditionalToken?: integer | string;
        totalTokenCredit?: integer | string;
        necessaryTokensForServiceContract?: integer | string;
        firstContactDate?: string;
        firstOrderDate?: string;
        lastQuoteDate?: string;
        lastContactDate?: string;
        nextContactDate?: string;
        customerAbcClass?: ProductAbcClass;
        printTemplate?: string;
        initialDateSinceCustomer?: string;
        unavailablePaymentPeriod?: string;
        isSubjectToTax?: boolean | string;
        isEfatElectronicInvoicingAllowed?: boolean | string;
        contact?: string;
        startDateforElectronicInvoice?: string;
        isElectronicInvoiceAllowed?: boolean | string;
        addresses?: Partial<CustomerAddressInput>[];
        contacts?: Partial<CustomerContactInput>[];
        bankDetails?: Partial<CustomerBankDetailInput>[];
        businessPartner?: string;
        shipToCustomers?: Partial<ShipToCustomerAddressInput>[];
        acronym?: string;
        businessPartnerSite?: string;
        cfonbPaymentMethod?: string;
        companyName1?: string;
        companyName2?: string;
        companyNames?: Partial<BusinessPartnerCompanyNamesInput>[];
        consolidationCode?: string;
        consolidationGroup?: string;
        consolidationPartner?: string;
        country?: string;
        customerOrSupplierOriginCategory?: string;
        documentType?: DocumentType;
        economicOperatorRegistrationAndIdNumber?: string;
        electronicAddress?: string;
        electronicInvoiceType?: ElectronicInvoiceType;
        europeanUnionVatNumber?: string;
        fiscalCode?: string;
        invoiceHeaderText?: TextStream;
        isCashExcluded?: boolean | string;
        isIntersite?: boolean | string;
        isMailingProhibited?: boolean | string;
        isPhysicalPerson?: boolean | string;
        isPublicSector?: boolean | string;
        isServiceCaller?: boolean | string;
        isServiceSupplier?: boolean | string;
        italianTaxNumber?: string;
        language?: string;
        nonResidentAccount?: string;
        orderHeaderText?: TextStream;
        registrationNumber?: string;
        relatedCompany?: RelatedCompanySettings;
        reportAccessCode?: string;
        routingCode?: string;
        serviceCode?: string;
        shortCompanyName?: string;
        siteIdentificationNumber?: string;
        standardIndustrialClassificationCode?: string;
        vatNumber?: string;
        cashTaxRules?: Partial<CustomerCashTaxRulesInput>[];
        paymentDays?: Partial<CustomerPaymentDaysInput>[];
        salesReps?: Partial<CustomerSalesRepsInput>[];
        statisticalGroups?: Partial<CustomerStatisticalGroupsInput>[];
        taxRule?: string;
        paymentTerm?: string;
        earlyDiscountOrLateCharge?: string;
        invoicingTerm?: string;
        invoicingElements?: Partial<CustomerInvoicingElementsInput>[];
        reminderGroup?: string;
        factor?: string;
        paymentBank?: string;
        accountingCode?: string;
        accountStructure?: string;
        dimensions?: Partial<CustomerDimensionsInput>[];
    }
    export interface CustomerBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: BusinessPartner;
        customerCategory: CustomerCategory;
        billToCustomer: Customer;
        billToCustomerAddress: CustomerAddress;
        payByCustomer: BusinessPartner;
        payByCustomerAddress: BusinessPartnerAddress;
        groupCustomer: Customer;
        riskCustomer: Customer;
        defaultAddress: CustomerAddress;
        defaultShipToAddress: ShipToCustomerAddress;
        defaultContact: CustomerContact;
        isActive: boolean;
        ourSupplierCode: string;
        currency: Currency;
        rateType: ExchangeRateType;
        commissionCategory: CommissionCategory;
        exemptionTaxNumber: string;
        priceOrAmountType: PriceAmountTaxTax;
        creditControl: WorkInProgressControl;
        authorizedCreditAmount: string;
        minimumOrderAmount: string;
        creditInsuranceAmount: string;
        insuranceDate: string;
        insuranceCompany: BusinessPartner;
        reminderType: ReminderType;
        minimumReminderAmount: string;
        canBeMatched: boolean;
        isLoanAllowed: boolean;
        mustPrintAcknowledgment: boolean;
        isOrderClosingAllowed: boolean;
        mustContainOneOrderPerDelivery: boolean;
        businessSector: MiscellaneousTable;
        prospectOrigin: MiscellaneousTable;
        tokenCredit: integer;
        manualAdditionalToken: integer;
        totalTokenCredit: integer;
        necessaryTokensForServiceContract: integer;
        firstContactDate: string;
        firstOrderDate: string;
        lastQuoteDate: string;
        lastContactDate: string;
        nextContactDate: string;
        customerAbcClass: ProductAbcClass;
        printTemplate: PrintTemplate;
        initialDateSinceCustomer: string;
        unavailablePaymentPeriod: UnavailablePeriods;
        isSubjectToTax: boolean;
        isEfatElectronicInvoicingAllowed: boolean;
        contact: CustomerContact;
        startDateforElectronicInvoice: string;
        isElectronicInvoiceAllowed: boolean;
        addresses: ClientCollection<CustomerAddress>;
        contacts: ClientCollection<CustomerContact>;
        bankDetails: ClientCollection<CustomerBankDetail>;
        businessPartner: BusinessPartner;
        shipToCustomers: ClientCollection<ShipToCustomerAddress>;
        acronym: string;
        businessPartnerSite: Site;
        cfonbPaymentMethod: MiscellaneousTable;
        companyName1: string;
        companyName2: string;
        companyNames: ClientCollection<BusinessPartnerCompanyNames>;
        consolidationCode: string;
        consolidationGroup: SiteGroupings;
        consolidationPartner: BusinessPartner;
        country: Country;
        customerOrSupplierOriginCategory: string;
        documentType: DocumentType;
        economicOperatorRegistrationAndIdNumber: string;
        electronicAddress: string;
        electronicInvoiceType: ElectronicInvoiceType;
        europeanUnionVatNumber: string;
        fiscalCode: string;
        invoiceHeaderText: TextStream;
        isCashExcluded: boolean;
        isIntersite: boolean;
        isMailingProhibited: boolean;
        isPhysicalPerson: boolean;
        isPublicSector: boolean;
        isServiceCaller: boolean;
        isServiceSupplier: boolean;
        italianTaxNumber: string;
        language: Language;
        nonResidentAccount: BusinessPartnerAddress;
        orderHeaderText: TextStream;
        registrationNumber: string;
        relatedCompany: RelatedCompanySettings;
        reportAccessCode: Access;
        routingCode: string;
        serviceCode: string;
        shortCompanyName: string;
        siteIdentificationNumber: string;
        standardIndustrialClassificationCode: string;
        vatNumber: string;
        cashTaxRules: ClientCollection<CustomerCashTaxRulesBinding>;
        paymentDays: ClientCollection<CustomerPaymentDaysBinding>;
        salesReps: ClientCollection<CustomerSalesRepsBinding>;
        statisticalGroups: ClientCollection<CustomerStatisticalGroupsBinding>;
        taxRule: TaxRule;
        paymentTerm: PaymentTerm;
        earlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        invoicingTerm: InvoicingTerm;
        invoicingElements: ClientCollection<CustomerInvoicingElementsBinding>;
        reminderGroup: ReminderGroup;
        factor: Factor;
        paymentBank: BankAccount;
        accountingCode: AccountingCode;
        accountStructure: AccountScheme;
        dimensions: ClientCollection<CustomerDimensionsBinding>;
    }
    export interface CustomerExtension$Lookups {
        reminderGroup: QueryOperation<ReminderGroup>;
        factor: QueryOperation<Factor>;
        paymentBank: QueryOperation<BankAccount>;
        accountingCode: QueryOperation<AccountingCode>;
        accountStructure: QueryOperation<AccountScheme>;
    }
    export interface CustomerExtension$Operations {
        lookups(dataOrId: string | { data: CustomerInput }): CustomerExtension$Lookups;
    }
    export interface CustomerInvoiceHeaderExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        id: string;
        category: InvoiceType;
        sourceModule: ModuleTable;
        billToCustomer: Customer;
        control: string;
        company: Company;
        financialSite: Site;
        accountingDate: string;
        internalNumber: integer;
        sourceDocumentDate: string;
        sourceDocument: string;
        currency: Currency;
        rateType: ExchangeRateType;
        rateDate: string;
        payByBusinessPartner: BusinessPartner;
        payByBusinessPartnerAddress: BusinessPartnerAddress;
        payByBusinessPartnerPostalCode: string;
        payByBusinessPartnerCity: string;
        payByBusinessPartnerState: string;
        payByBusinessPartnerCountry: Country;
        payByBusinessPartnerCountryName: string;
        dueDateCalculationStartDate: string;
        paymentTerm: PaymentTerm;
        earlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        earlyDiscountOrLateChargeRate: string;
        taxRule: TaxRule;
        entityUserCode: MiscellaneousTable;
        isDirectInvoice: boolean;
        intrastatProcessingNumber: integer;
        status: InvoiceStatus;
        originalInvoiceNumber: string;
        debitOrCredit: integer;
        totalAmountIncludingTax: string;
        totalAmountExcludingTax: string;
        totalAmountExcludingTaxInCompanyCurrency: string;
        totalAmountIncludingTaxInCompanyCurrency: string;
        taxReferenceDate: string;
        numberOfTaxes: integer;
        billToCustomerAddress: CustomerAddress;
        billToCustomerPostalCode: string;
        billToCustomerCity: string;
        billToCustomerState: string;
        billToCustomerCountry: Country;
        billToCustomerCountryName: string;
        draftNumber: string;
        stockMovementGroup: MiscellaneousTable;
        fiscalYear: integer;
        period: integer;
        serviceStartDate: string;
        serviceEndDate: string;
        lastServiceAccountedDate: string;
        warehouse: Warehouse;
        isPrinted: boolean;
        isExternalDocument: boolean;
        earlyDiscountOrLateChargeBasis: string;
        versionControlSystemNumber: string;
        isValidatedAddress: boolean;
        priceOrAmountTaxType: PriceAmountTaxTax;
        vatDeclarationNumber: string;
        exportDeclaration: string;
        mandate: Mandate;
        recurringNumber: string;
        recurringInvoicingDate: string;
        numberOfCompanies: integer;
        cashVatTaxRule: boolean;
        derCode: string;
        field40Reason: MiscellaneousTable;
        field41Reason: MiscellaneousTable;
        originalDocumentNumber: string;
        creditMemoReferenceStartDate: string;
        creditMemoReferenceEndDate: string;
        inPaymentSlipWithReferenceNumber: string;
        cancellationStatus: integer;
        project: ProjectLink;
        correctionMethod: CorrectionMethod;
        siteIdentificationNumber: string;
        spanishInvoiceType: SpanishInvoiceType;
        businessProcessType: MiscellaneousTable;
        operationType: TypeOfOperation;
        autoInvoicingSpanish: boolean;
        manualAutoInvoicingSpaGenerated: boolean;
        automaticAutoInvoicingSpaGenerated: boolean;
        destinationGeneration: AutoInvoiceRecipient;
        spanishTaxDate: string;
        billToCustomerAddressLines: ClientCollection<CustomerInvoiceHeaderBillToCustomerAddressLines>;
        billToCustomerCompanyNames: ClientCollection<CustomerInvoiceHeaderBillToCustomerCompanyNames>;
        comments: ClientCollection<CustomerInvoiceHeaderComments>;
        payByBusinessPartnerAddressLines: ClientCollection<CustomerInvoiceHeaderPayByBusinessPartnerAddressLines>;
        payByBusinessPartnerCompanyNames: ClientCollection<CustomerInvoiceHeaderPayByBusinessPartnerCompanyNames>;
        taxes: ClientCollection<CustomerInvoiceHeaderTaxes>;
        entryType: EntryType;
        journal: Journal;
        paymentBank: BankAccount;
        currencyRates: ClientCollection<CustomerInvoiceHeaderCurrencyRates>;
        dimensions: ClientCollection<CustomerInvoiceHeaderDimensions>;
    }
    export interface CustomerInvoiceHeaderInputExtension {
        id?: string;
        category?: InvoiceType;
        sourceModule?: ModuleTable;
        billToCustomer?: string;
        control?: string;
        company?: string;
        financialSite?: string;
        accountingDate?: string;
        internalNumber?: integer | string;
        sourceDocumentDate?: string;
        sourceDocument?: string;
        currency?: string;
        rateType?: ExchangeRateType;
        rateDate?: string;
        payByBusinessPartner?: string;
        payByBusinessPartnerAddress?: string;
        payByBusinessPartnerPostalCode?: string;
        payByBusinessPartnerCity?: string;
        payByBusinessPartnerState?: string;
        payByBusinessPartnerCountry?: string;
        payByBusinessPartnerCountryName?: string;
        dueDateCalculationStartDate?: string;
        paymentTerm?: string;
        earlyDiscountOrLateCharge?: string;
        earlyDiscountOrLateChargeRate?: decimal | string;
        taxRule?: string;
        entityUserCode?: string;
        isDirectInvoice?: boolean | string;
        intrastatProcessingNumber?: integer | string;
        status?: InvoiceStatus;
        originalInvoiceNumber?: string;
        debitOrCredit?: integer | string;
        totalAmountIncludingTax?: decimal | string;
        totalAmountExcludingTax?: decimal | string;
        totalAmountExcludingTaxInCompanyCurrency?: decimal | string;
        totalAmountIncludingTaxInCompanyCurrency?: decimal | string;
        taxReferenceDate?: string;
        numberOfTaxes?: integer | string;
        billToCustomerAddress?: string;
        billToCustomerPostalCode?: string;
        billToCustomerCity?: string;
        billToCustomerState?: string;
        billToCustomerCountry?: string;
        billToCustomerCountryName?: string;
        draftNumber?: string;
        stockMovementGroup?: string;
        fiscalYear?: integer | string;
        period?: integer | string;
        serviceStartDate?: string;
        serviceEndDate?: string;
        lastServiceAccountedDate?: string;
        warehouse?: string;
        isPrinted?: boolean | string;
        isExternalDocument?: boolean | string;
        earlyDiscountOrLateChargeBasis?: decimal | string;
        versionControlSystemNumber?: string;
        isValidatedAddress?: boolean | string;
        priceOrAmountTaxType?: PriceAmountTaxTax;
        vatDeclarationNumber?: string;
        exportDeclaration?: string;
        mandate?: string;
        recurringNumber?: string;
        recurringInvoicingDate?: string;
        numberOfCompanies?: integer | string;
        cashVatTaxRule?: boolean | string;
        derCode?: string;
        field40Reason?: string;
        field41Reason?: string;
        originalDocumentNumber?: string;
        creditMemoReferenceStartDate?: string;
        creditMemoReferenceEndDate?: string;
        inPaymentSlipWithReferenceNumber?: string;
        cancellationStatus?: integer | string;
        project?: string;
        correctionMethod?: CorrectionMethod;
        siteIdentificationNumber?: string;
        spanishInvoiceType?: SpanishInvoiceType;
        businessProcessType?: string;
        operationType?: TypeOfOperation;
        autoInvoicingSpanish?: boolean | string;
        manualAutoInvoicingSpaGenerated?: boolean | string;
        automaticAutoInvoicingSpaGenerated?: boolean | string;
        destinationGeneration?: AutoInvoiceRecipient;
        spanishTaxDate?: string;
        billToCustomerAddressLines?: Partial<CustomerInvoiceHeaderBillToCustomerAddressLinesInput>[];
        billToCustomerCompanyNames?: Partial<CustomerInvoiceHeaderBillToCustomerCompanyNamesInput>[];
        comments?: Partial<CustomerInvoiceHeaderCommentsInput>[];
        payByBusinessPartnerAddressLines?: Partial<CustomerInvoiceHeaderPayByBusinessPartnerAddressLinesInput>[];
        payByBusinessPartnerCompanyNames?: Partial<CustomerInvoiceHeaderPayByBusinessPartnerCompanyNamesInput>[];
        taxes?: Partial<CustomerInvoiceHeaderTaxesInput>[];
        entryType?: string;
        journal?: string;
        paymentBank?: string;
        currencyRates?: Partial<CustomerInvoiceHeaderCurrencyRatesInput>[];
        dimensions?: Partial<CustomerInvoiceHeaderDimensionsInput>[];
    }
    export interface CustomerInvoiceHeaderBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        id: string;
        category: InvoiceType;
        sourceModule: ModuleTable;
        billToCustomer: Customer;
        control: string;
        company: Company;
        financialSite: Site;
        accountingDate: string;
        internalNumber: integer;
        sourceDocumentDate: string;
        sourceDocument: string;
        currency: Currency;
        rateType: ExchangeRateType;
        rateDate: string;
        payByBusinessPartner: BusinessPartner;
        payByBusinessPartnerAddress: BusinessPartnerAddress;
        payByBusinessPartnerPostalCode: string;
        payByBusinessPartnerCity: string;
        payByBusinessPartnerState: string;
        payByBusinessPartnerCountry: Country;
        payByBusinessPartnerCountryName: string;
        dueDateCalculationStartDate: string;
        paymentTerm: PaymentTerm;
        earlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        earlyDiscountOrLateChargeRate: string;
        taxRule: TaxRule;
        entityUserCode: MiscellaneousTable;
        isDirectInvoice: boolean;
        intrastatProcessingNumber: integer;
        status: InvoiceStatus;
        originalInvoiceNumber: string;
        debitOrCredit: integer;
        totalAmountIncludingTax: string;
        totalAmountExcludingTax: string;
        totalAmountExcludingTaxInCompanyCurrency: string;
        totalAmountIncludingTaxInCompanyCurrency: string;
        taxReferenceDate: string;
        numberOfTaxes: integer;
        billToCustomerAddress: CustomerAddress;
        billToCustomerPostalCode: string;
        billToCustomerCity: string;
        billToCustomerState: string;
        billToCustomerCountry: Country;
        billToCustomerCountryName: string;
        draftNumber: string;
        stockMovementGroup: MiscellaneousTable;
        fiscalYear: integer;
        period: integer;
        serviceStartDate: string;
        serviceEndDate: string;
        lastServiceAccountedDate: string;
        warehouse: Warehouse;
        isPrinted: boolean;
        isExternalDocument: boolean;
        earlyDiscountOrLateChargeBasis: string;
        versionControlSystemNumber: string;
        isValidatedAddress: boolean;
        priceOrAmountTaxType: PriceAmountTaxTax;
        vatDeclarationNumber: string;
        exportDeclaration: string;
        mandate: Mandate;
        recurringNumber: string;
        recurringInvoicingDate: string;
        numberOfCompanies: integer;
        cashVatTaxRule: boolean;
        derCode: string;
        field40Reason: MiscellaneousTable;
        field41Reason: MiscellaneousTable;
        originalDocumentNumber: string;
        creditMemoReferenceStartDate: string;
        creditMemoReferenceEndDate: string;
        inPaymentSlipWithReferenceNumber: string;
        cancellationStatus: integer;
        project: ProjectLink;
        correctionMethod: CorrectionMethod;
        siteIdentificationNumber: string;
        spanishInvoiceType: SpanishInvoiceType;
        businessProcessType: MiscellaneousTable;
        operationType: TypeOfOperation;
        autoInvoicingSpanish: boolean;
        manualAutoInvoicingSpaGenerated: boolean;
        automaticAutoInvoicingSpaGenerated: boolean;
        destinationGeneration: AutoInvoiceRecipient;
        spanishTaxDate: string;
        billToCustomerAddressLines: ClientCollection<CustomerInvoiceHeaderBillToCustomerAddressLinesBinding>;
        billToCustomerCompanyNames: ClientCollection<CustomerInvoiceHeaderBillToCustomerCompanyNamesBinding>;
        comments: ClientCollection<CustomerInvoiceHeaderCommentsBinding>;
        payByBusinessPartnerAddressLines: ClientCollection<CustomerInvoiceHeaderPayByBusinessPartnerAddressLinesBinding>;
        payByBusinessPartnerCompanyNames: ClientCollection<CustomerInvoiceHeaderPayByBusinessPartnerCompanyNamesBinding>;
        taxes: ClientCollection<CustomerInvoiceHeaderTaxesBinding>;
        entryType: EntryType;
        journal: Journal;
        paymentBank: BankAccount;
        currencyRates: ClientCollection<CustomerInvoiceHeaderCurrencyRatesBinding>;
        dimensions: ClientCollection<CustomerInvoiceHeaderDimensionsBinding>;
    }
    export interface CustomerInvoiceHeaderExtension$Lookups {
        entryType: QueryOperation<EntryType>;
        journal: QueryOperation<Journal>;
        paymentBank: QueryOperation<BankAccount>;
    }
    export interface CustomerInvoiceHeaderExtension$Operations {
        lookups(dataOrId: string | { data: CustomerInvoiceHeaderInput }): CustomerInvoiceHeaderExtension$Lookups;
    }
    export interface ProductCategoryExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        code: string;
        description: string;
        localizedDescription: string;
        shortDescription: string;
        localizedShortDescription: string;
        isSold: boolean;
        productSequenceNumber: string;
        creationMethod: ProductCreationMode;
        qualityControlManagementMode: SubjectToControl;
        qualityControlAccessCode: string;
        stockUnit: UnitOfMeasure;
        purchaseUnit: UnitOfMeasure;
        salesUnit: UnitOfMeasure;
        statisticUnit: UnitOfMeasure;
        euUnit: UnitOfMeasure;
        purchaseUnitToStockUnitConversionFactor: string;
        salesUnitToStockUnitConversionFactor: string;
        statisticalUnitToStockUnitConversionFactor: string;
        euUnitToStockUnitConversionFactor: string;
        isPurchaseConversionFactorEntryAllowed: boolean;
        isSalesConversionFactorEntryAllowed: boolean;
        weightUnit: UnitOfMeasure;
        stockUnitWeight: string;
        volumeUnit: UnitOfMeasure;
        stockUnitVolume: string;
        labelFormatForStockUnit: GenericPrintReport;
        stockManagementMode: StockManagement;
        managementMode: StandardProductCode;
        isNegativeStockAuthorized: boolean;
        lotSequenceNumber: string;
        serialNumberManagementMode: SerialNumberManagement;
        serialSequenceNumber: string;
        valuationMethod: string;
        expirationManagementMode: ExpirationManagement;
        expirationStockStatus: string;
        userAccessCode: string;
        purchasingPlanningHorizonTimeUnit: LeadTimeUnit;
        purchasingPlanningHorizon: integer;
        purchasingFirmHorizon: integer;
        purchasingFirmHorizonTimeUnit: LeadTimeUnit;
        reorderLeadTime: string;
        buyer: User;
        planner: User;
        purchaseDeliveryTolerance: string;
        isReceived: boolean;
        isMandatoryPurchaseOrderRequest: boolean;
        landedCostCoefficient: string;
        fixedLandedCostPerUnit: string;
        salesPriceOrigin: PriceOrigin;
        percentagePricePurchaseApplied: string;
        configuratorProductLine: string;
        isLocationManaged: boolean;
        salesOrderAllocationRule: string;
        workOrderAllocationRule: string;
        shipmentAllocationRule: string;
        materialConsumptionAllocationRule: string;
        transferAllocationRule: string;
        subcontractReplenishmentAllocationRule: string;
        subcontractConsumptionAllocationRule: string;
        afterSalesAllocationRule: string;
        isStatusAAuthorizedInGlobalAllocation: boolean;
        isStatusQAuthorizedInGlobalAllocation: boolean;
        isStatusRAuthorizedInGlobalAllocation: boolean;
        abcClass: ProductAbcClass;
        stockWithdrawalMode: StockWithdrawal;
        countManagementMode: Count;
        trendProfile: string;
        shrinkagePercent: string;
        planningFirmHorizon: integer;
        planningFirmHorizonTimeUnit: LeadTimeUnit;
        planningRequestHorizon: integer;
        planningRequestHorizonTimeUnit: LeadTimeUnit;
        reorderingPeriodicity: integer;
        reorderingSuggestionType: SuggestionType;
        reorderingSite: Site;
        reorderingPolicy: string;
        stockCoverageInWeeks: integer;
        safetyStock: string;
        reorderingThreshold: string;
        reorderingMaximumStock: string;
        economicOrderQuantity: string;
        technicalLotQuantity: string;
        standardCostUpdate: PriceUpdateMode;
        revisedStandardCostUpdate: PriceUpdateMode;
        budgetStandardCostUpdate: PriceUpdateMode;
        simulatedCostUpdate: PriceUpdateMode;
        isReleasedIfShortage: boolean;
        automaticClosingPercentage: string;
        salesDeliveryTolerance: string;
        salesMinimumQuantity: string;
        salesMaximumQuantity: string;
        isLoanAuthorized: boolean;
        isBackToBackOrderManaged: boolean;
        directBackToBackOrderQuantity: string;
        isPurchased: boolean;
        isManufactured: boolean;
        isSubcontracted: boolean;
        isService: boolean;
        isPhantom: boolean;
        isGeneric: boolean;
        isTool: boolean;
        isDeliverable: boolean;
        isIntermediary: boolean;
        isMaintenance: boolean;
        packagingCapacity: string;
        assignmentRules: string;
        isStockDetailedInPacking: boolean;
        technicalSheet: TechnicalSheet;
        orderWarehouse: string;
        workOrderWarehouse: string;
        shippingWarehouse: string;
        materialConsumptionWarehouse: string;
        internalMovementWarehouse: string;
        subcontractShipmentWarehouse: string;
        subcontractConsumptionWarehouse: string;
        afterSalesWarehouse: string;
        canBeCapitalized: boolean;
        isPackingManaged: boolean;
        sageSalesTax: MiscellaneousTable;
        saftProductType: SafTProductType;
        freightClass: string;
        freightCommodityCode: string;
        isVersionManaged: boolean;
        minorVersionSequence: string;
        majorVersionSequence: string;
        isVersionPreloaded: boolean;
        inventoryProductType: ProductType;
        containerManagement: boolean;
        statisticalGroups: ClientCollection<ProductCategoryStatisticalGroups>;
        costType: CostType;
        lotManagementMode: LotManagementMode;
        traceabilityManagementMode: TraceabilityManagementMode;
        traceabilityLevel: TraceabilityLevel;
        materialCostGroup: MaterialCostGroup;
        reorderingManagementMode: ReorderingManagementMode;
        stockVersionMode: StockVersionMode;
        stockManagementRules: ClientCollection<StockManagementRules>;
        defaultLocations: ClientCollection<ProductCategoryDefaultLocations>;
        overheads: ClientCollection<ProductCategoryOverheads>;
        packingUnits: ClientCollection<ProductCategoryPackingUnits>;
        invoicingTerm: InvoicingTerm;
        taxLevels: ClientCollection<ProductCategoryTaxLevels>;
        accountingCode: AccountingCode;
        dimensions: ClientCollection<ProductCategoryDimensions>;
    }
    export interface ProductCategoryInputExtension {
        stockSite?: string;
        code?: string;
        description?: string;
        localizedDescription?: string;
        shortDescription?: string;
        localizedShortDescription?: string;
        isSold?: boolean | string;
        productSequenceNumber?: string;
        creationMethod?: ProductCreationMode;
        qualityControlManagementMode?: SubjectToControl;
        qualityControlAccessCode?: string;
        stockUnit?: string;
        purchaseUnit?: string;
        salesUnit?: string;
        statisticUnit?: string;
        euUnit?: string;
        purchaseUnitToStockUnitConversionFactor?: decimal | string;
        salesUnitToStockUnitConversionFactor?: decimal | string;
        statisticalUnitToStockUnitConversionFactor?: decimal | string;
        euUnitToStockUnitConversionFactor?: decimal | string;
        isPurchaseConversionFactorEntryAllowed?: boolean | string;
        isSalesConversionFactorEntryAllowed?: boolean | string;
        weightUnit?: string;
        stockUnitWeight?: decimal | string;
        volumeUnit?: string;
        stockUnitVolume?: decimal | string;
        labelFormatForStockUnit?: string;
        stockManagementMode?: StockManagement;
        managementMode?: StandardProductCode;
        isNegativeStockAuthorized?: boolean | string;
        lotSequenceNumber?: string;
        serialNumberManagementMode?: SerialNumberManagement;
        serialSequenceNumber?: string;
        valuationMethod?: string;
        expirationManagementMode?: ExpirationManagement;
        expirationStockStatus?: string;
        userAccessCode?: string;
        purchasingPlanningHorizonTimeUnit?: LeadTimeUnit;
        purchasingPlanningHorizon?: integer | string;
        purchasingFirmHorizon?: integer | string;
        purchasingFirmHorizonTimeUnit?: LeadTimeUnit;
        reorderLeadTime?: decimal | string;
        buyer?: string;
        planner?: string;
        purchaseDeliveryTolerance?: decimal | string;
        isReceived?: boolean | string;
        isMandatoryPurchaseOrderRequest?: boolean | string;
        landedCostCoefficient?: decimal | string;
        fixedLandedCostPerUnit?: decimal | string;
        salesPriceOrigin?: PriceOrigin;
        percentagePricePurchaseApplied?: decimal | string;
        configuratorProductLine?: string;
        isLocationManaged?: boolean | string;
        salesOrderAllocationRule?: string;
        workOrderAllocationRule?: string;
        shipmentAllocationRule?: string;
        materialConsumptionAllocationRule?: string;
        transferAllocationRule?: string;
        subcontractReplenishmentAllocationRule?: string;
        subcontractConsumptionAllocationRule?: string;
        afterSalesAllocationRule?: string;
        isStatusAAuthorizedInGlobalAllocation?: boolean | string;
        isStatusQAuthorizedInGlobalAllocation?: boolean | string;
        isStatusRAuthorizedInGlobalAllocation?: boolean | string;
        abcClass?: ProductAbcClass;
        stockWithdrawalMode?: StockWithdrawal;
        countManagementMode?: Count;
        trendProfile?: string;
        shrinkagePercent?: decimal | string;
        planningFirmHorizon?: integer | string;
        planningFirmHorizonTimeUnit?: LeadTimeUnit;
        planningRequestHorizon?: integer | string;
        planningRequestHorizonTimeUnit?: LeadTimeUnit;
        reorderingPeriodicity?: integer | string;
        reorderingSuggestionType?: SuggestionType;
        reorderingSite?: string;
        reorderingPolicy?: string;
        stockCoverageInWeeks?: integer | string;
        safetyStock?: decimal | string;
        reorderingThreshold?: decimal | string;
        reorderingMaximumStock?: decimal | string;
        economicOrderQuantity?: decimal | string;
        technicalLotQuantity?: decimal | string;
        standardCostUpdate?: PriceUpdateMode;
        revisedStandardCostUpdate?: PriceUpdateMode;
        budgetStandardCostUpdate?: PriceUpdateMode;
        simulatedCostUpdate?: PriceUpdateMode;
        isReleasedIfShortage?: boolean | string;
        automaticClosingPercentage?: decimal | string;
        salesDeliveryTolerance?: decimal | string;
        salesMinimumQuantity?: decimal | string;
        salesMaximumQuantity?: decimal | string;
        isLoanAuthorized?: boolean | string;
        isBackToBackOrderManaged?: boolean | string;
        directBackToBackOrderQuantity?: decimal | string;
        isPurchased?: boolean | string;
        isManufactured?: boolean | string;
        isSubcontracted?: boolean | string;
        isService?: boolean | string;
        isPhantom?: boolean | string;
        isGeneric?: boolean | string;
        isTool?: boolean | string;
        isDeliverable?: boolean | string;
        isIntermediary?: boolean | string;
        isMaintenance?: boolean | string;
        packagingCapacity?: decimal | string;
        assignmentRules?: string;
        isStockDetailedInPacking?: boolean | string;
        technicalSheet?: string;
        orderWarehouse?: string;
        workOrderWarehouse?: string;
        shippingWarehouse?: string;
        materialConsumptionWarehouse?: string;
        internalMovementWarehouse?: string;
        subcontractShipmentWarehouse?: string;
        subcontractConsumptionWarehouse?: string;
        afterSalesWarehouse?: string;
        canBeCapitalized?: boolean | string;
        isPackingManaged?: boolean | string;
        sageSalesTax?: string;
        saftProductType?: SafTProductType;
        freightClass?: string;
        freightCommodityCode?: string;
        isVersionManaged?: boolean | string;
        minorVersionSequence?: string;
        majorVersionSequence?: string;
        isVersionPreloaded?: boolean | string;
        inventoryProductType?: ProductType;
        containerManagement?: boolean | string;
        statisticalGroups?: Partial<ProductCategoryStatisticalGroupsInput>[];
        costType?: string;
        lotManagementMode?: LotManagementMode;
        traceabilityManagementMode?: TraceabilityManagementMode;
        traceabilityLevel?: TraceabilityLevel;
        materialCostGroup?: MaterialCostGroup;
        reorderingManagementMode?: ReorderingManagementMode;
        stockVersionMode?: StockVersionMode;
        stockManagementRules?: Partial<StockManagementRulesInput>[];
        defaultLocations?: Partial<ProductCategoryDefaultLocationsInput>[];
        overheads?: Partial<ProductCategoryOverheadsInput>[];
        packingUnits?: Partial<ProductCategoryPackingUnitsInput>[];
        invoicingTerm?: string;
        taxLevels?: Partial<ProductCategoryTaxLevelsInput>[];
        accountingCode?: string;
        dimensions?: Partial<ProductCategoryDimensionsInput>[];
    }
    export interface ProductCategoryBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        code: string;
        description: string;
        localizedDescription: string;
        shortDescription: string;
        localizedShortDescription: string;
        isSold: boolean;
        productSequenceNumber: string;
        creationMethod: ProductCreationMode;
        qualityControlManagementMode: SubjectToControl;
        qualityControlAccessCode: string;
        stockUnit: UnitOfMeasure;
        purchaseUnit: UnitOfMeasure;
        salesUnit: UnitOfMeasure;
        statisticUnit: UnitOfMeasure;
        euUnit: UnitOfMeasure;
        purchaseUnitToStockUnitConversionFactor: string;
        salesUnitToStockUnitConversionFactor: string;
        statisticalUnitToStockUnitConversionFactor: string;
        euUnitToStockUnitConversionFactor: string;
        isPurchaseConversionFactorEntryAllowed: boolean;
        isSalesConversionFactorEntryAllowed: boolean;
        weightUnit: UnitOfMeasure;
        stockUnitWeight: string;
        volumeUnit: UnitOfMeasure;
        stockUnitVolume: string;
        labelFormatForStockUnit: GenericPrintReport;
        stockManagementMode: StockManagement;
        managementMode: StandardProductCode;
        isNegativeStockAuthorized: boolean;
        lotSequenceNumber: string;
        serialNumberManagementMode: SerialNumberManagement;
        serialSequenceNumber: string;
        valuationMethod: string;
        expirationManagementMode: ExpirationManagement;
        expirationStockStatus: string;
        userAccessCode: string;
        purchasingPlanningHorizonTimeUnit: LeadTimeUnit;
        purchasingPlanningHorizon: integer;
        purchasingFirmHorizon: integer;
        purchasingFirmHorizonTimeUnit: LeadTimeUnit;
        reorderLeadTime: string;
        buyer: User;
        planner: User;
        purchaseDeliveryTolerance: string;
        isReceived: boolean;
        isMandatoryPurchaseOrderRequest: boolean;
        landedCostCoefficient: string;
        fixedLandedCostPerUnit: string;
        salesPriceOrigin: PriceOrigin;
        percentagePricePurchaseApplied: string;
        configuratorProductLine: string;
        isLocationManaged: boolean;
        salesOrderAllocationRule: string;
        workOrderAllocationRule: string;
        shipmentAllocationRule: string;
        materialConsumptionAllocationRule: string;
        transferAllocationRule: string;
        subcontractReplenishmentAllocationRule: string;
        subcontractConsumptionAllocationRule: string;
        afterSalesAllocationRule: string;
        isStatusAAuthorizedInGlobalAllocation: boolean;
        isStatusQAuthorizedInGlobalAllocation: boolean;
        isStatusRAuthorizedInGlobalAllocation: boolean;
        abcClass: ProductAbcClass;
        stockWithdrawalMode: StockWithdrawal;
        countManagementMode: Count;
        trendProfile: string;
        shrinkagePercent: string;
        planningFirmHorizon: integer;
        planningFirmHorizonTimeUnit: LeadTimeUnit;
        planningRequestHorizon: integer;
        planningRequestHorizonTimeUnit: LeadTimeUnit;
        reorderingPeriodicity: integer;
        reorderingSuggestionType: SuggestionType;
        reorderingSite: Site;
        reorderingPolicy: string;
        stockCoverageInWeeks: integer;
        safetyStock: string;
        reorderingThreshold: string;
        reorderingMaximumStock: string;
        economicOrderQuantity: string;
        technicalLotQuantity: string;
        standardCostUpdate: PriceUpdateMode;
        revisedStandardCostUpdate: PriceUpdateMode;
        budgetStandardCostUpdate: PriceUpdateMode;
        simulatedCostUpdate: PriceUpdateMode;
        isReleasedIfShortage: boolean;
        automaticClosingPercentage: string;
        salesDeliveryTolerance: string;
        salesMinimumQuantity: string;
        salesMaximumQuantity: string;
        isLoanAuthorized: boolean;
        isBackToBackOrderManaged: boolean;
        directBackToBackOrderQuantity: string;
        isPurchased: boolean;
        isManufactured: boolean;
        isSubcontracted: boolean;
        isService: boolean;
        isPhantom: boolean;
        isGeneric: boolean;
        isTool: boolean;
        isDeliverable: boolean;
        isIntermediary: boolean;
        isMaintenance: boolean;
        packagingCapacity: string;
        assignmentRules: string;
        isStockDetailedInPacking: boolean;
        technicalSheet: TechnicalSheet;
        orderWarehouse: string;
        workOrderWarehouse: string;
        shippingWarehouse: string;
        materialConsumptionWarehouse: string;
        internalMovementWarehouse: string;
        subcontractShipmentWarehouse: string;
        subcontractConsumptionWarehouse: string;
        afterSalesWarehouse: string;
        canBeCapitalized: boolean;
        isPackingManaged: boolean;
        sageSalesTax: MiscellaneousTable;
        saftProductType: SafTProductType;
        freightClass: string;
        freightCommodityCode: string;
        isVersionManaged: boolean;
        minorVersionSequence: string;
        majorVersionSequence: string;
        isVersionPreloaded: boolean;
        inventoryProductType: ProductType;
        containerManagement: boolean;
        statisticalGroups: ClientCollection<ProductCategoryStatisticalGroupsBinding>;
        costType: CostType;
        lotManagementMode: LotManagementMode;
        traceabilityManagementMode: TraceabilityManagementMode;
        traceabilityLevel: TraceabilityLevel;
        materialCostGroup: MaterialCostGroup;
        reorderingManagementMode: ReorderingManagementMode;
        stockVersionMode: StockVersionMode;
        stockManagementRules: ClientCollection<StockManagementRules>;
        defaultLocations: ClientCollection<ProductCategoryDefaultLocationsBinding>;
        overheads: ClientCollection<ProductCategoryOverheadsBinding>;
        packingUnits: ClientCollection<ProductCategoryPackingUnitsBinding>;
        invoicingTerm: InvoicingTerm;
        taxLevels: ClientCollection<ProductCategoryTaxLevelsBinding>;
        accountingCode: AccountingCode;
        dimensions: ClientCollection<ProductCategoryDimensionsBinding>;
    }
    export interface ProductCategoryExtension$Lookups {
        accountingCode: QueryOperation<AccountingCode>;
    }
    export interface ProductCategoryExtension$Operations {
        lookups(dataOrId: string | { data: ProductCategoryInput }): ProductCategoryExtension$Lookups;
    }
    export interface ProductExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        company: Company;
        productCategory: ProductCategory;
        searchKey: string;
        description1: string;
        description2: string;
        description3: string;
        localizedDescription1: string;
        localizedDescription2: string;
        localizedDescription3: string;
        managementMode: StandardProductCode;
        standard: string;
        upc: string;
        productStatus: ProductStatus;
        isPrototype: boolean;
        defaultPotencyInPercentage: string;
        defaultPotencyInInternationalUnit: string;
        serviceLifeStartDate: string;
        serviceLifeEndDate: string;
        storageSheet: string;
        stockUnit: UnitOfMeasure;
        purchaseUnit: UnitOfMeasure;
        salesUnit: UnitOfMeasure;
        statisticalUnit: UnitOfMeasure;
        eeUnit: UnitOfMeasure;
        purchaseUnitToStockUnitConversionFactor: string;
        isPurchaseFactorEntryAllowed: boolean;
        salesUnitToStockUnitConversionFactor: string;
        isSalesFactorEntryAllowed: boolean;
        statisticalUnitToStockUnitConversionFactor: string;
        eeUnitToStockUnitConversionFactor: string;
        weightUnit: UnitOfMeasure;
        productWeight: string;
        volumeUnit: UnitOfMeasure;
        productVolume: string;
        lotSequenceNumber: string;
        serialSequenceNumber: string;
        serialNumberManagementMode: SerialNumberManagement;
        expirationManagementMode: ExpirationManagement;
        expirationStockStatus: string;
        expirationLeadTime: integer;
        checkLeadTime: integer;
        isNegativeStockAuthorized: boolean;
        costGroup: string;
        userAccessCode: Access;
        alternateProduct: Product;
        isIntrastatDeclarationSubmitted: boolean;
        intrastatCommodity: string;
        purchasingPlanningHorizonTimeUnit: LeadTimeUnit;
        purchasingPlanningHorizon: integer;
        purchasingFirmHorizon: integer;
        purchasingFirmHorizonTimeUnit: LeadTimeUnit;
        buyer: User;
        planner: User;
        reorderLeadTime: integer;
        purchaseBasePrice: string;
        landedCostCoefficient: string;
        fixedLandedCostPerUnit: string;
        purchaseDeliveryTolerance: string;
        isReceived: boolean;
        isMandatoryPurchaseOrderRequest: boolean;
        exemptionFlag: string;
        taxFlagStatusLocal: string;
        configuratorProductLine: string;
        configuratorNumericField1: string;
        configuratorNumericField2: string;
        configuratorNumericField3: string;
        configuratorNumericField4: string;
        configuratorNumericField5: string;
        configuratorNumericField6: string;
        configuratorAlphaField1: string;
        configuratorAlphaField2: string;
        configuratorAlphaField3: string;
        configuratorAlphaField4: string;
        configuratorAlphaField5: string;
        configuratorAlphaField6: string;
        configurationJournal: string;
        configuratorBusinessPartner: BusinessPartner;
        configuratorBusinessPartnerReference: string;
        configuratorReferenceProduct: Product;
        configuratorPurgeDate: string;
        isInstalledBaseCreated: boolean;
        voucherCategory: MiscellaneousTable;
        tokensToBeCredited: integer;
        creditUnit: UnitOfMeasure;
        labelFormatForStockUnit: GenericPrintReport;
        bomCodeForAfterSales: BomCodes;
        productTypeForAfterSales: TypeOfProduct;
        isAfterSalesProductIssuedByDefault: boolean;
        daysUnit: UnitOfMeasure;
        hourUnit: UnitOfMeasure;
        minuteUnit: UnitOfMeasure;
        productDensity: string;
        isPurchased: boolean;
        isManufactured: boolean;
        isSubcontracted: boolean;
        isService: boolean;
        isPhantom: boolean;
        isGeneric: boolean;
        isTools: boolean;
        isDeliverable: boolean;
        isSold: boolean;
        isIntermediary: boolean;
        isCapitalized: boolean;
        newStockStatusAfterRecontrol: string;
        useByDateCoefficient: string;
        intrastatFederalStateOrRegion: MiscellaneousTable;
        plmProductReference: string;
        plmLinkedDocuments: string;
        plmProductHistory: string;
        sageSalesTax: MiscellaneousTable;
        allergens: string;
        allergenChangeDate: string;
        allergenBomCode: integer;
        saftProductType: SafTProductType;
        isVersionManaged: boolean;
        minorVersionSequence: string;
        majorVersionSequence: string;
        isVersionPreloaded: boolean;
        productType: ProductType;
        globalTradeItemNumber: string;
        productSites: ClientCollection<ProductSite>;
        supplierProduct: ClientCollection<SupplierProduct>;
        customerProduct: ClientCollection<CustomerProduct>;
        manufacturingText: TextStream;
        picture: BinaryStream;
        purchasingText: TextStream;
        packingUnits: ClientCollection<ProductPackingUnits>;
        statisticalGroups: ClientCollection<ProductStatisticalGroups>;
        costType: CostType;
        stockManagementMode: StockManagement;
        lotManagementMode: LotManagementMode;
        materialCostGroup: MaterialCostGroup;
        traceabilityManagementMode: TraceabilityManagementMode;
        traceabilityLevel: TraceabilityLevel;
        expirationTimeUnit: ExpirationLeadTimeUnits;
        recontrolTimeUnit: ExpirationLeadTimeUnits;
        stockVersionMode: StockVersionMode;
        taxLevels: ClientCollection<ProductTaxLevels>;
        accountingCode: AccountingCode;
        dimensions: ClientCollection<ProductDimensions>;
    }
    export interface ProductInputExtension {
        code?: string;
        company?: string;
        productCategory?: string;
        searchKey?: string;
        description1?: string;
        description2?: string;
        description3?: string;
        localizedDescription1?: string;
        localizedDescription2?: string;
        localizedDescription3?: string;
        managementMode?: StandardProductCode;
        standard?: string;
        upc?: string;
        productStatus?: ProductStatus;
        isPrototype?: boolean | string;
        defaultPotencyInPercentage?: decimal | string;
        defaultPotencyInInternationalUnit?: decimal | string;
        serviceLifeStartDate?: string;
        serviceLifeEndDate?: string;
        storageSheet?: string;
        stockUnit?: string;
        purchaseUnit?: string;
        salesUnit?: string;
        statisticalUnit?: string;
        eeUnit?: string;
        purchaseUnitToStockUnitConversionFactor?: decimal | string;
        isPurchaseFactorEntryAllowed?: boolean | string;
        salesUnitToStockUnitConversionFactor?: decimal | string;
        isSalesFactorEntryAllowed?: boolean | string;
        statisticalUnitToStockUnitConversionFactor?: decimal | string;
        eeUnitToStockUnitConversionFactor?: decimal | string;
        weightUnit?: string;
        productWeight?: decimal | string;
        volumeUnit?: string;
        productVolume?: decimal | string;
        lotSequenceNumber?: string;
        serialSequenceNumber?: string;
        serialNumberManagementMode?: SerialNumberManagement;
        expirationManagementMode?: ExpirationManagement;
        expirationStockStatus?: string;
        expirationLeadTime?: integer | string;
        checkLeadTime?: integer | string;
        isNegativeStockAuthorized?: boolean | string;
        costGroup?: string;
        userAccessCode?: string;
        alternateProduct?: string;
        isIntrastatDeclarationSubmitted?: boolean | string;
        intrastatCommodity?: string;
        purchasingPlanningHorizonTimeUnit?: LeadTimeUnit;
        purchasingPlanningHorizon?: integer | string;
        purchasingFirmHorizon?: integer | string;
        purchasingFirmHorizonTimeUnit?: LeadTimeUnit;
        buyer?: string;
        planner?: string;
        reorderLeadTime?: integer | string;
        purchaseBasePrice?: decimal | string;
        landedCostCoefficient?: decimal | string;
        fixedLandedCostPerUnit?: decimal | string;
        purchaseDeliveryTolerance?: decimal | string;
        isReceived?: boolean | string;
        isMandatoryPurchaseOrderRequest?: boolean | string;
        exemptionFlag?: string;
        taxFlagStatusLocal?: string;
        configuratorProductLine?: string;
        configuratorNumericField1?: decimal | string;
        configuratorNumericField2?: decimal | string;
        configuratorNumericField3?: decimal | string;
        configuratorNumericField4?: decimal | string;
        configuratorNumericField5?: decimal | string;
        configuratorNumericField6?: decimal | string;
        configuratorAlphaField1?: string;
        configuratorAlphaField2?: string;
        configuratorAlphaField3?: string;
        configuratorAlphaField4?: string;
        configuratorAlphaField5?: string;
        configuratorAlphaField6?: string;
        configurationJournal?: string;
        configuratorBusinessPartner?: string;
        configuratorBusinessPartnerReference?: string;
        configuratorReferenceProduct?: string;
        configuratorPurgeDate?: string;
        isInstalledBaseCreated?: boolean | string;
        voucherCategory?: string;
        tokensToBeCredited?: integer | string;
        creditUnit?: string;
        labelFormatForStockUnit?: string;
        bomCodeForAfterSales?: integer | string;
        productTypeForAfterSales?: TypeOfProduct;
        isAfterSalesProductIssuedByDefault?: boolean | string;
        daysUnit?: string;
        hourUnit?: string;
        minuteUnit?: string;
        productDensity?: decimal | string;
        isPurchased?: boolean | string;
        isManufactured?: boolean | string;
        isSubcontracted?: boolean | string;
        isService?: boolean | string;
        isPhantom?: boolean | string;
        isGeneric?: boolean | string;
        isTools?: boolean | string;
        isDeliverable?: boolean | string;
        isSold?: boolean | string;
        isIntermediary?: boolean | string;
        isCapitalized?: boolean | string;
        newStockStatusAfterRecontrol?: string;
        useByDateCoefficient?: decimal | string;
        intrastatFederalStateOrRegion?: string;
        plmProductReference?: string;
        plmLinkedDocuments?: string;
        plmProductHistory?: string;
        sageSalesTax?: string;
        allergens?: string;
        allergenChangeDate?: string;
        allergenBomCode?: integer | string;
        saftProductType?: SafTProductType;
        isVersionManaged?: boolean | string;
        minorVersionSequence?: string;
        majorVersionSequence?: string;
        isVersionPreloaded?: boolean | string;
        productType?: ProductType;
        globalTradeItemNumber?: string;
        supplierProduct?: Partial<SupplierProductInput>[];
        customerProduct?: Partial<CustomerProductInput>[];
        manufacturingText?: TextStream;
        picture?: BinaryStream;
        purchasingText?: TextStream;
        packingUnits?: Partial<ProductPackingUnitsInput>[];
        statisticalGroups?: Partial<ProductStatisticalGroupsInput>[];
        costType?: string;
        stockManagementMode?: StockManagement;
        lotManagementMode?: LotManagementMode;
        materialCostGroup?: MaterialCostGroup;
        traceabilityManagementMode?: TraceabilityManagementMode;
        traceabilityLevel?: TraceabilityLevel;
        expirationTimeUnit?: ExpirationLeadTimeUnits;
        recontrolTimeUnit?: ExpirationLeadTimeUnits;
        stockVersionMode?: StockVersionMode;
        taxLevels?: Partial<ProductTaxLevelsInput>[];
        accountingCode?: string;
        dimensions?: Partial<ProductDimensionsInput>[];
    }
    export interface ProductBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: string;
        company: Company;
        productCategory: ProductCategory;
        searchKey: string;
        description1: string;
        description2: string;
        description3: string;
        localizedDescription1: string;
        localizedDescription2: string;
        localizedDescription3: string;
        managementMode: StandardProductCode;
        standard: string;
        upc: string;
        productStatus: ProductStatus;
        isPrototype: boolean;
        defaultPotencyInPercentage: string;
        defaultPotencyInInternationalUnit: string;
        serviceLifeStartDate: string;
        serviceLifeEndDate: string;
        storageSheet: string;
        stockUnit: UnitOfMeasure;
        purchaseUnit: UnitOfMeasure;
        salesUnit: UnitOfMeasure;
        statisticalUnit: UnitOfMeasure;
        eeUnit: UnitOfMeasure;
        purchaseUnitToStockUnitConversionFactor: string;
        isPurchaseFactorEntryAllowed: boolean;
        salesUnitToStockUnitConversionFactor: string;
        isSalesFactorEntryAllowed: boolean;
        statisticalUnitToStockUnitConversionFactor: string;
        eeUnitToStockUnitConversionFactor: string;
        weightUnit: UnitOfMeasure;
        productWeight: string;
        volumeUnit: UnitOfMeasure;
        productVolume: string;
        lotSequenceNumber: string;
        serialSequenceNumber: string;
        serialNumberManagementMode: SerialNumberManagement;
        expirationManagementMode: ExpirationManagement;
        expirationStockStatus: string;
        expirationLeadTime: integer;
        checkLeadTime: integer;
        isNegativeStockAuthorized: boolean;
        costGroup: string;
        userAccessCode: Access;
        alternateProduct: Product;
        isIntrastatDeclarationSubmitted: boolean;
        intrastatCommodity: string;
        purchasingPlanningHorizonTimeUnit: LeadTimeUnit;
        purchasingPlanningHorizon: integer;
        purchasingFirmHorizon: integer;
        purchasingFirmHorizonTimeUnit: LeadTimeUnit;
        buyer: User;
        planner: User;
        reorderLeadTime: integer;
        purchaseBasePrice: string;
        landedCostCoefficient: string;
        fixedLandedCostPerUnit: string;
        purchaseDeliveryTolerance: string;
        isReceived: boolean;
        isMandatoryPurchaseOrderRequest: boolean;
        exemptionFlag: string;
        taxFlagStatusLocal: string;
        configuratorProductLine: string;
        configuratorNumericField1: string;
        configuratorNumericField2: string;
        configuratorNumericField3: string;
        configuratorNumericField4: string;
        configuratorNumericField5: string;
        configuratorNumericField6: string;
        configuratorAlphaField1: string;
        configuratorAlphaField2: string;
        configuratorAlphaField3: string;
        configuratorAlphaField4: string;
        configuratorAlphaField5: string;
        configuratorAlphaField6: string;
        configurationJournal: string;
        configuratorBusinessPartner: BusinessPartner;
        configuratorBusinessPartnerReference: string;
        configuratorReferenceProduct: Product;
        configuratorPurgeDate: string;
        isInstalledBaseCreated: boolean;
        voucherCategory: MiscellaneousTable;
        tokensToBeCredited: integer;
        creditUnit: UnitOfMeasure;
        labelFormatForStockUnit: GenericPrintReport;
        bomCodeForAfterSales: BomCodes;
        productTypeForAfterSales: TypeOfProduct;
        isAfterSalesProductIssuedByDefault: boolean;
        daysUnit: UnitOfMeasure;
        hourUnit: UnitOfMeasure;
        minuteUnit: UnitOfMeasure;
        productDensity: string;
        isPurchased: boolean;
        isManufactured: boolean;
        isSubcontracted: boolean;
        isService: boolean;
        isPhantom: boolean;
        isGeneric: boolean;
        isTools: boolean;
        isDeliverable: boolean;
        isSold: boolean;
        isIntermediary: boolean;
        isCapitalized: boolean;
        newStockStatusAfterRecontrol: string;
        useByDateCoefficient: string;
        intrastatFederalStateOrRegion: MiscellaneousTable;
        plmProductReference: string;
        plmLinkedDocuments: string;
        plmProductHistory: string;
        sageSalesTax: MiscellaneousTable;
        allergens: string;
        allergenChangeDate: string;
        allergenBomCode: integer;
        saftProductType: SafTProductType;
        isVersionManaged: boolean;
        minorVersionSequence: string;
        majorVersionSequence: string;
        isVersionPreloaded: boolean;
        productType: ProductType;
        globalTradeItemNumber: string;
        productSites: ClientCollection<ProductSite>;
        supplierProduct: ClientCollection<SupplierProduct>;
        customerProduct: ClientCollection<CustomerProduct>;
        manufacturingText: TextStream;
        picture: BinaryStream;
        purchasingText: TextStream;
        packingUnits: ClientCollection<ProductPackingUnitsBinding>;
        statisticalGroups: ClientCollection<ProductStatisticalGroupsBinding>;
        costType: CostType;
        stockManagementMode: StockManagement;
        lotManagementMode: LotManagementMode;
        materialCostGroup: MaterialCostGroup;
        traceabilityManagementMode: TraceabilityManagementMode;
        traceabilityLevel: TraceabilityLevel;
        expirationTimeUnit: ExpirationLeadTimeUnits;
        recontrolTimeUnit: ExpirationLeadTimeUnits;
        stockVersionMode: StockVersionMode;
        taxLevels: ClientCollection<ProductTaxLevelsBinding>;
        accountingCode: AccountingCode;
        dimensions: ClientCollection<ProductDimensionsBinding>;
    }
    export interface ProductExtension$Lookups {
        accountingCode: QueryOperation<AccountingCode>;
    }
    export interface ProductExtension$Operations {
        lookups(dataOrId: string | { data: ProductInput }): ProductExtension$Lookups;
    }
    export interface StockJournalExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        isUpdated: boolean;
        product: Product;
        effectiveDate: string;
        sequence: integer;
        index: integer;
        fifoDate: string;
        fifoTime: string;
        fifoTier: string;
        owner: string;
        lot: string;
        sublot: string;
        supplierLot: string;
        location: Location;
        warehouse: Warehouse;
        serialNumber: string;
        transactionType: StockTransactionType;
        stockMovementGroup: MiscellaneousTable;
        movementDescription: string;
        project: ProjectLink;
        businessPartner: BusinessPartner;
        documentType: EntryTypeEnum;
        documentId: string;
        documentLine: integer;
        documentTypeOriginal: EntryTypeEnum;
        documentIdOriginal: string;
        documentLineOriginal: integer;
        documentSequenceOriginal: integer;
        adjustementType: EntryTypeEnum;
        adjustementDocumentId: string;
        adjustementDocumentLineId: integer;
        lotCustomField1: string;
        lotCustomField2: string;
        lotCustomField3: string;
        lotCustomField4: string;
        packingUnit: UnitOfMeasure;
        quantityInPackingUnit: string;
        packingUnitToStockUnitConversionFactor: string;
        quantityInStockUnit: string;
        stockUnit: UnitOfMeasure;
        orginialPackingUnit: UnitOfMeasure;
        originalPackingUnitToStockUnitConversionFactor: string;
        orderAmount: string;
        movementValue: string;
        orderVariance: string;
        movementVariance: string;
        orderCost: string;
        valuedCost: string;
        costSource: CostSource;
        secondaryMovementValue: string;
        secondaryMovementVariance: string;
        secondaryValuedCost: string;
        secondaryCostSource: CostSource;
        isAdjusted: boolean;
        varianceNotAbsorbed: string;
        secondaryVarianceNotAbsorbed: string;
        expirationDate: string;
        status: StockStatus;
        potency: string;
        internationalUnitPotency: string;
        activQuantity: string;
        qualityAnalysisRequestId: string;
        isPrinted: boolean;
        isAdjustedMovement: boolean;
        labelFormat: GenericPrintReport;
        numberOfLabels: integer;
        financialSite: Site;
        hasStockInterfacePosted: boolean;
        hasStockAccountingPosted: boolean;
        hasStockAccountingPostedSecondary: boolean;
        identifier1: string;
        identifier2: string;
        intercompany: boolean;
        useByDate: string;
        recontrolDate: string;
        accountingDate: string;
        majorVersion: MajorVersionStatus;
        minorVersion: string;
        startingSerialNumber: string;
        stockCustomField1: string;
        endingSerialNumber: string;
        stockCustomField2: string;
        licensePlateNumber: LicensePlateNumber;
        stockAutomaticJournal: AutomaticJournal;
        journalEntryDocumentType: string;
        dimensions: ClientCollection<StockJournalDimensions>;
    }
    export interface StockJournalInputExtension {
        stockSite?: string;
        isUpdated?: boolean | string;
        product?: string;
        effectiveDate?: string;
        sequence?: integer | string;
        index?: integer | string;
        fifoDate?: string;
        fifoTime?: string;
        fifoTier?: decimal | string;
        owner?: string;
        lot?: string;
        sublot?: string;
        supplierLot?: string;
        location?: string;
        warehouse?: string;
        serialNumber?: string;
        transactionType?: StockTransactionType;
        stockMovementGroup?: string;
        movementDescription?: string;
        project?: string;
        businessPartner?: string;
        documentType?: EntryTypeEnum;
        documentId?: string;
        documentLine?: integer | string;
        documentTypeOriginal?: EntryTypeEnum;
        documentIdOriginal?: string;
        documentLineOriginal?: integer | string;
        documentSequenceOriginal?: integer | string;
        adjustementType?: EntryTypeEnum;
        adjustementDocumentId?: string;
        adjustementDocumentLineId?: integer | string;
        lotCustomField1?: string;
        lotCustomField2?: string;
        lotCustomField3?: decimal | string;
        lotCustomField4?: string;
        packingUnit?: string;
        quantityInPackingUnit?: decimal | string;
        packingUnitToStockUnitConversionFactor?: decimal | string;
        quantityInStockUnit?: decimal | string;
        stockUnit?: string;
        orginialPackingUnit?: string;
        originalPackingUnitToStockUnitConversionFactor?: decimal | string;
        orderAmount?: decimal | string;
        movementValue?: decimal | string;
        orderVariance?: decimal | string;
        movementVariance?: decimal | string;
        orderCost?: decimal | string;
        valuedCost?: decimal | string;
        costSource?: CostSource;
        secondaryMovementValue?: decimal | string;
        secondaryMovementVariance?: decimal | string;
        secondaryValuedCost?: decimal | string;
        secondaryCostSource?: CostSource;
        isAdjusted?: boolean | string;
        varianceNotAbsorbed?: decimal | string;
        secondaryVarianceNotAbsorbed?: decimal | string;
        expirationDate?: string;
        status?: string;
        potency?: decimal | string;
        internationalUnitPotency?: decimal | string;
        activQuantity?: decimal | string;
        qualityAnalysisRequestId?: string;
        isPrinted?: boolean | string;
        isAdjustedMovement?: boolean | string;
        labelFormat?: string;
        numberOfLabels?: integer | string;
        financialSite?: string;
        hasStockInterfacePosted?: boolean | string;
        hasStockAccountingPosted?: boolean | string;
        hasStockAccountingPostedSecondary?: boolean | string;
        identifier1?: string;
        identifier2?: string;
        intercompany?: boolean | string;
        useByDate?: string;
        recontrolDate?: string;
        accountingDate?: string;
        majorVersion?: string;
        minorVersion?: string;
        startingSerialNumber?: string;
        stockCustomField1?: string;
        endingSerialNumber?: string;
        stockCustomField2?: string;
        licensePlateNumber?: string;
        stockAutomaticJournal?: string;
        journalEntryDocumentType?: string;
        dimensions?: Partial<StockJournalDimensionsInput>[];
    }
    export interface StockJournalBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        isUpdated: boolean;
        product: Product;
        effectiveDate: string;
        sequence: integer;
        index: integer;
        fifoDate: string;
        fifoTime: string;
        fifoTier: string;
        owner: string;
        lot: string;
        sublot: string;
        supplierLot: string;
        location: Location;
        warehouse: Warehouse;
        serialNumber: string;
        transactionType: StockTransactionType;
        stockMovementGroup: MiscellaneousTable;
        movementDescription: string;
        project: ProjectLink;
        businessPartner: BusinessPartner;
        documentType: EntryTypeEnum;
        documentId: string;
        documentLine: integer;
        documentTypeOriginal: EntryTypeEnum;
        documentIdOriginal: string;
        documentLineOriginal: integer;
        documentSequenceOriginal: integer;
        adjustementType: EntryTypeEnum;
        adjustementDocumentId: string;
        adjustementDocumentLineId: integer;
        lotCustomField1: string;
        lotCustomField2: string;
        lotCustomField3: string;
        lotCustomField4: string;
        packingUnit: UnitOfMeasure;
        quantityInPackingUnit: string;
        packingUnitToStockUnitConversionFactor: string;
        quantityInStockUnit: string;
        stockUnit: UnitOfMeasure;
        orginialPackingUnit: UnitOfMeasure;
        originalPackingUnitToStockUnitConversionFactor: string;
        orderAmount: string;
        movementValue: string;
        orderVariance: string;
        movementVariance: string;
        orderCost: string;
        valuedCost: string;
        costSource: CostSource;
        secondaryMovementValue: string;
        secondaryMovementVariance: string;
        secondaryValuedCost: string;
        secondaryCostSource: CostSource;
        isAdjusted: boolean;
        varianceNotAbsorbed: string;
        secondaryVarianceNotAbsorbed: string;
        expirationDate: string;
        status: StockStatus;
        potency: string;
        internationalUnitPotency: string;
        activQuantity: string;
        qualityAnalysisRequestId: string;
        isPrinted: boolean;
        isAdjustedMovement: boolean;
        labelFormat: GenericPrintReport;
        numberOfLabels: integer;
        financialSite: Site;
        hasStockInterfacePosted: boolean;
        hasStockAccountingPosted: boolean;
        hasStockAccountingPostedSecondary: boolean;
        identifier1: string;
        identifier2: string;
        intercompany: boolean;
        useByDate: string;
        recontrolDate: string;
        accountingDate: string;
        majorVersion: MajorVersionStatus;
        minorVersion: string;
        startingSerialNumber: string;
        stockCustomField1: string;
        endingSerialNumber: string;
        stockCustomField2: string;
        licensePlateNumber: LicensePlateNumber;
        stockAutomaticJournal: AutomaticJournal;
        journalEntryDocumentType: string;
        dimensions: ClientCollection<StockJournalDimensionsBinding>;
    }
    export interface StockJournalExtension$Lookups {
        stockAutomaticJournal: QueryOperation<AutomaticJournal>;
    }
    export interface StockJournalExtension$Operations {
        lookups(dataOrId: string | { data: StockJournalInput }): StockJournalExtension$Lookups;
    }
    export interface StockJournalImportExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        isUpdated: boolean;
        product: Product;
        effectiveDate: string;
        sequence: integer;
        index: integer;
        fifoDate: string;
        fifoTime: string;
        fifoTier: string;
        owner: string;
        lot: string;
        sublot: string;
        supplierLot: string;
        location: Location;
        warehouse: Warehouse;
        serialNumber: string;
        transactionType: StockTransactionType;
        stockMovementGroup: MiscellaneousTable;
        movementDescription: string;
        project: ProjectLink;
        businessPartner: BusinessPartner;
        documentType: EntryTypeEnum;
        documentId: string;
        documentLine: integer;
        documentTypeOriginal: EntryTypeEnum;
        documentIdOriginal: string;
        documentLineOriginal: integer;
        documentSequenceOriginal: integer;
        adjustementType: EntryTypeEnum;
        adjustementDocumentId: string;
        adjustementDocumentLineId: integer;
        lotCustomField1: string;
        lotCustomField2: string;
        lotCustomField3: string;
        lotCustomField4: string;
        packingUnit: UnitOfMeasure;
        quantityInPackingUnit: string;
        packingUnitToStockUnitConversionFactor: string;
        quantityInStockUnit: string;
        stockUnit: UnitOfMeasure;
        orginialPackingUnit: UnitOfMeasure;
        originalPackingUnitToStockUnitConversionFactor: string;
        orderAmount: string;
        movementValue: string;
        orderVariance: string;
        movementVariance: string;
        orderCost: string;
        valuedCost: string;
        costSource: CostSource;
        secondaryMovementValue: string;
        secondaryMovementVariance: string;
        secondaryValuedCost: string;
        secondaryCostSource: CostSource;
        isAdjusted: boolean;
        varianceNotAbsorbed: string;
        secondaryVarianceNotAbsorbed: string;
        expirationDate: string;
        status: StockStatus;
        potency: string;
        internationalUnitPotency: string;
        activQuantity: string;
        qualityAnalysisRequestId: string;
        isPrinted: boolean;
        isAdjustedMovement: boolean;
        labelFormat: GenericPrintReport;
        numberOfLabels: integer;
        financialSite: Site;
        hasStockInterfacePosted: boolean;
        hasStockAccountingPosted: boolean;
        hasStockAccountingPostedSecondary: boolean;
        identifier1: string;
        identifier2: string;
        intercompany: boolean;
        useByDate: string;
        recontrolDate: string;
        accountingDate: string;
        majorVersion: MajorVersionStatus;
        minorVersion: string;
        startingSerialNumber: string;
        stockCustomField1: string;
        endingSerialNumber: string;
        stockCustomField2: string;
        licensePlateNumber: LicensePlateNumber;
        stockAutomaticJournal: AutomaticJournal;
        journalEntryDocumentType: string;
        dimensions: ClientCollection<StockJournalImportDimensions>;
    }
    export interface StockJournalImportInputExtension {
        stockSite?: string;
        isUpdated?: boolean | string;
        product?: string;
        effectiveDate?: string;
        sequence?: integer | string;
        index?: integer | string;
        fifoDate?: string;
        fifoTime?: string;
        fifoTier?: decimal | string;
        owner?: string;
        lot?: string;
        sublot?: string;
        supplierLot?: string;
        location?: string;
        warehouse?: string;
        serialNumber?: string;
        transactionType?: StockTransactionType;
        stockMovementGroup?: string;
        movementDescription?: string;
        project?: string;
        businessPartner?: string;
        documentType?: EntryTypeEnum;
        documentId?: string;
        documentLine?: integer | string;
        documentTypeOriginal?: EntryTypeEnum;
        documentIdOriginal?: string;
        documentLineOriginal?: integer | string;
        documentSequenceOriginal?: integer | string;
        adjustementType?: EntryTypeEnum;
        adjustementDocumentId?: string;
        adjustementDocumentLineId?: integer | string;
        lotCustomField1?: string;
        lotCustomField2?: string;
        lotCustomField3?: decimal | string;
        lotCustomField4?: string;
        packingUnit?: string;
        quantityInPackingUnit?: decimal | string;
        packingUnitToStockUnitConversionFactor?: decimal | string;
        quantityInStockUnit?: decimal | string;
        stockUnit?: string;
        orginialPackingUnit?: string;
        originalPackingUnitToStockUnitConversionFactor?: decimal | string;
        orderAmount?: decimal | string;
        movementValue?: decimal | string;
        orderVariance?: decimal | string;
        movementVariance?: decimal | string;
        orderCost?: decimal | string;
        valuedCost?: decimal | string;
        costSource?: CostSource;
        secondaryMovementValue?: decimal | string;
        secondaryMovementVariance?: decimal | string;
        secondaryValuedCost?: decimal | string;
        secondaryCostSource?: CostSource;
        isAdjusted?: boolean | string;
        varianceNotAbsorbed?: decimal | string;
        secondaryVarianceNotAbsorbed?: decimal | string;
        expirationDate?: string;
        status?: string;
        potency?: decimal | string;
        internationalUnitPotency?: decimal | string;
        activQuantity?: decimal | string;
        qualityAnalysisRequestId?: string;
        isPrinted?: boolean | string;
        isAdjustedMovement?: boolean | string;
        labelFormat?: string;
        numberOfLabels?: integer | string;
        financialSite?: string;
        hasStockInterfacePosted?: boolean | string;
        hasStockAccountingPosted?: boolean | string;
        hasStockAccountingPostedSecondary?: boolean | string;
        identifier1?: string;
        identifier2?: string;
        intercompany?: boolean | string;
        useByDate?: string;
        recontrolDate?: string;
        accountingDate?: string;
        majorVersion?: string;
        minorVersion?: string;
        startingSerialNumber?: string;
        stockCustomField1?: string;
        endingSerialNumber?: string;
        stockCustomField2?: string;
        licensePlateNumber?: string;
        expirationDateString?: string;
        stockAutomaticJournal?: string;
        journalEntryDocumentType?: string;
        dimensions?: Partial<StockJournalImportDimensionsInput>[];
    }
    export interface StockJournalImportBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        stockSite: Site;
        isUpdated: boolean;
        product: Product;
        effectiveDate: string;
        sequence: integer;
        index: integer;
        fifoDate: string;
        fifoTime: string;
        fifoTier: string;
        owner: string;
        lot: string;
        sublot: string;
        supplierLot: string;
        location: Location;
        warehouse: Warehouse;
        serialNumber: string;
        transactionType: StockTransactionType;
        stockMovementGroup: MiscellaneousTable;
        movementDescription: string;
        project: ProjectLink;
        businessPartner: BusinessPartner;
        documentType: EntryTypeEnum;
        documentId: string;
        documentLine: integer;
        documentTypeOriginal: EntryTypeEnum;
        documentIdOriginal: string;
        documentLineOriginal: integer;
        documentSequenceOriginal: integer;
        adjustementType: EntryTypeEnum;
        adjustementDocumentId: string;
        adjustementDocumentLineId: integer;
        lotCustomField1: string;
        lotCustomField2: string;
        lotCustomField3: string;
        lotCustomField4: string;
        packingUnit: UnitOfMeasure;
        quantityInPackingUnit: string;
        packingUnitToStockUnitConversionFactor: string;
        quantityInStockUnit: string;
        stockUnit: UnitOfMeasure;
        orginialPackingUnit: UnitOfMeasure;
        originalPackingUnitToStockUnitConversionFactor: string;
        orderAmount: string;
        movementValue: string;
        orderVariance: string;
        movementVariance: string;
        orderCost: string;
        valuedCost: string;
        costSource: CostSource;
        secondaryMovementValue: string;
        secondaryMovementVariance: string;
        secondaryValuedCost: string;
        secondaryCostSource: CostSource;
        isAdjusted: boolean;
        varianceNotAbsorbed: string;
        secondaryVarianceNotAbsorbed: string;
        expirationDate: string;
        status: StockStatus;
        potency: string;
        internationalUnitPotency: string;
        activQuantity: string;
        qualityAnalysisRequestId: string;
        isPrinted: boolean;
        isAdjustedMovement: boolean;
        labelFormat: GenericPrintReport;
        numberOfLabels: integer;
        financialSite: Site;
        hasStockInterfacePosted: boolean;
        hasStockAccountingPosted: boolean;
        hasStockAccountingPostedSecondary: boolean;
        identifier1: string;
        identifier2: string;
        intercompany: boolean;
        useByDate: string;
        recontrolDate: string;
        accountingDate: string;
        majorVersion: MajorVersionStatus;
        minorVersion: string;
        startingSerialNumber: string;
        stockCustomField1: string;
        endingSerialNumber: string;
        stockCustomField2: string;
        licensePlateNumber: LicensePlateNumber;
        expirationDateString: string;
        stockAutomaticJournal: AutomaticJournal;
        journalEntryDocumentType: string;
        dimensions: ClientCollection<StockJournalImportDimensionsBinding>;
    }
    export interface StockJournalImportExtension$Lookups {
        stockAutomaticJournal: QueryOperation<AutomaticJournal>;
    }
    export interface StockJournalImportExtension$Operations {
        lookups(dataOrId: string | { data: StockJournalImportInput }): StockJournalImportExtension$Lookups;
    }
    export interface SupplierExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: BusinessPartner;
        category: SupplierCategory;
        payToBusinessPartner: BusinessPartner;
        payToBusinessPartnerAddress: BusinessPartnerAddress;
        billBySupplier: Supplier;
        billBySupplierAddress: SupplierAddress;
        groupSupplier: Supplier;
        riskSupplier: Supplier;
        ourCustomerNumberForSupplier: string;
        carrier: Carrier;
        defaultContact: SupplierContact;
        location: string;
        supplierABCClass: ProductAbcClass;
        rateType: ExchangeRateType;
        incoterm: Incoterm;
        intrastatTransportLocation: CountryLocation;
        addressByDefault: SupplierAddress;
        isMultiLineOrder: boolean;
        leadTimeRankingCoefficient: string;
        priceRankingCoefficient: string;
        qualityRankingCoefficient: string;
        quantityRankingCoefficient: string;
        freeRankingCoefficient: string;
        leadTimeRanking: string;
        priceRanking: string;
        qualityRanking: string;
        quantityRanking: string;
        freeRanking: string;
        totalRanking: string;
        creditControl: WorkInProgressControl;
        intrastatIncreaseCoefficient: string;
        mustRemindDelivery: boolean;
        mustRemindAcknowledgment: boolean;
        isDas2Submitted: boolean;
        isActive: boolean;
        isPaymentHeld: boolean;
        mustPrintOrderForm: boolean;
        mustPrintReceiptNote: boolean;
        mustPrintReturnSlip: boolean;
        ourCustomerNameForSupplier: string;
        is281Submitted: boolean;
        amountType: PriceAmountTaxTax;
        isCashVat: boolean;
        cashVatDeadline: string;
        selfBillingCode: string;
        rexNumber: string;
        hasNoWhiteListVerification: boolean;
        isElectronicInvoicingAllowed: boolean;
        contact: SupplierContact;
        startDateForElectronicInvoice: string;
        addresses: ClientCollection<SupplierAddress>;
        contacts: ClientCollection<SupplierContact>;
        acronym: string;
        businessPartnerSite: Site;
        cfonbPaymentMethod: MiscellaneousTable;
        companyName1: string;
        companyName2: string;
        companyNames: ClientCollection<BusinessPartnerCompanyNames>;
        consolidationCode: string;
        consolidationGroup: SiteGroupings;
        consolidationPartner: BusinessPartner;
        country: Country;
        customerOrSupplierOriginCategory: string;
        documentType: DocumentType;
        economicOperatorRegistrationAndIdNumber: string;
        europeanUnionVatNumber: string;
        fiscalCode: string;
        isCashExcluded: boolean;
        isIntersite: boolean;
        isMailingProhibited: boolean;
        isPhysicalPerson: boolean;
        isPublicSector: boolean;
        isServiceCaller: boolean;
        isServiceSupplier: boolean;
        italianTaxNumber: string;
        language: Language;
        nonResidentAccount: BusinessPartnerAddress;
        purchaseOrderText: TextStream;
        registrationNumber: string;
        relatedCompany: RelatedCompanySettings;
        reportAccessCode: Access;
        returnOrderText: TextStream;
        shortCompanyName: string;
        siteIdentificationNumber: string;
        standardIndustrialClassificationCode: string;
        vatNumber: string;
        paymentTerm: PaymentTerm;
        earlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        taxRule: TaxRule;
        accountingCode: AccountingCode;
    }
    export interface SupplierInputExtension {
        code?: string;
        category?: string;
        payToBusinessPartner?: string;
        payToBusinessPartnerAddress?: string;
        billBySupplier?: string;
        billBySupplierAddress?: string;
        groupSupplier?: string;
        riskSupplier?: string;
        ourCustomerNumberForSupplier?: string;
        carrier?: string;
        defaultContact?: string;
        location?: string;
        supplierABCClass?: ProductAbcClass;
        rateType?: ExchangeRateType;
        incoterm?: string;
        intrastatTransportLocation?: CountryLocation;
        addressByDefault?: string;
        isMultiLineOrder?: boolean | string;
        leadTimeRankingCoefficient?: decimal | string;
        priceRankingCoefficient?: decimal | string;
        qualityRankingCoefficient?: decimal | string;
        quantityRankingCoefficient?: decimal | string;
        freeRankingCoefficient?: decimal | string;
        leadTimeRanking?: decimal | string;
        priceRanking?: decimal | string;
        qualityRanking?: decimal | string;
        quantityRanking?: decimal | string;
        freeRanking?: decimal | string;
        totalRanking?: decimal | string;
        creditControl?: WorkInProgressControl;
        intrastatIncreaseCoefficient?: decimal | string;
        mustRemindDelivery?: boolean | string;
        mustRemindAcknowledgment?: boolean | string;
        isDas2Submitted?: boolean | string;
        isActive?: boolean | string;
        isPaymentHeld?: boolean | string;
        mustPrintOrderForm?: boolean | string;
        mustPrintReceiptNote?: boolean | string;
        mustPrintReturnSlip?: boolean | string;
        ourCustomerNameForSupplier?: string;
        is281Submitted?: boolean | string;
        amountType?: PriceAmountTaxTax;
        isCashVat?: boolean | string;
        cashVatDeadline?: string;
        selfBillingCode?: string;
        rexNumber?: string;
        hasNoWhiteListVerification?: boolean | string;
        isElectronicInvoicingAllowed?: boolean | string;
        contact?: string;
        startDateForElectronicInvoice?: string;
        addresses?: Partial<SupplierAddressInput>[];
        contacts?: Partial<SupplierContactInput>[];
        acronym?: string;
        businessPartnerSite?: string;
        cfonbPaymentMethod?: string;
        companyName1?: string;
        companyName2?: string;
        companyNames?: Partial<BusinessPartnerCompanyNamesInput>[];
        consolidationCode?: string;
        consolidationGroup?: string;
        consolidationPartner?: string;
        country?: string;
        customerOrSupplierOriginCategory?: string;
        documentType?: DocumentType;
        economicOperatorRegistrationAndIdNumber?: string;
        europeanUnionVatNumber?: string;
        fiscalCode?: string;
        isCashExcluded?: boolean | string;
        isIntersite?: boolean | string;
        isMailingProhibited?: boolean | string;
        isPhysicalPerson?: boolean | string;
        isPublicSector?: boolean | string;
        isServiceCaller?: boolean | string;
        isServiceSupplier?: boolean | string;
        italianTaxNumber?: string;
        language?: string;
        nonResidentAccount?: string;
        purchaseOrderText?: TextStream;
        registrationNumber?: string;
        relatedCompany?: RelatedCompanySettings;
        reportAccessCode?: string;
        returnOrderText?: TextStream;
        shortCompanyName?: string;
        siteIdentificationNumber?: string;
        standardIndustrialClassificationCode?: string;
        vatNumber?: string;
        paymentTerm?: string;
        earlyDiscountOrLateCharge?: string;
        taxRule?: string;
        accountingCode?: string;
    }
    export interface SupplierBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        code: BusinessPartner;
        category: SupplierCategory;
        payToBusinessPartner: BusinessPartner;
        payToBusinessPartnerAddress: BusinessPartnerAddress;
        billBySupplier: Supplier;
        billBySupplierAddress: SupplierAddress;
        groupSupplier: Supplier;
        riskSupplier: Supplier;
        ourCustomerNumberForSupplier: string;
        carrier: Carrier;
        defaultContact: SupplierContact;
        location: string;
        supplierABCClass: ProductAbcClass;
        rateType: ExchangeRateType;
        incoterm: Incoterm;
        intrastatTransportLocation: CountryLocation;
        addressByDefault: SupplierAddress;
        isMultiLineOrder: boolean;
        leadTimeRankingCoefficient: string;
        priceRankingCoefficient: string;
        qualityRankingCoefficient: string;
        quantityRankingCoefficient: string;
        freeRankingCoefficient: string;
        leadTimeRanking: string;
        priceRanking: string;
        qualityRanking: string;
        quantityRanking: string;
        freeRanking: string;
        totalRanking: string;
        creditControl: WorkInProgressControl;
        intrastatIncreaseCoefficient: string;
        mustRemindDelivery: boolean;
        mustRemindAcknowledgment: boolean;
        isDas2Submitted: boolean;
        isActive: boolean;
        isPaymentHeld: boolean;
        mustPrintOrderForm: boolean;
        mustPrintReceiptNote: boolean;
        mustPrintReturnSlip: boolean;
        ourCustomerNameForSupplier: string;
        is281Submitted: boolean;
        amountType: PriceAmountTaxTax;
        isCashVat: boolean;
        cashVatDeadline: string;
        selfBillingCode: string;
        rexNumber: string;
        hasNoWhiteListVerification: boolean;
        isElectronicInvoicingAllowed: boolean;
        contact: SupplierContact;
        startDateForElectronicInvoice: string;
        addresses: ClientCollection<SupplierAddress>;
        contacts: ClientCollection<SupplierContact>;
        acronym: string;
        businessPartnerSite: Site;
        cfonbPaymentMethod: MiscellaneousTable;
        companyName1: string;
        companyName2: string;
        companyNames: ClientCollection<BusinessPartnerCompanyNames>;
        consolidationCode: string;
        consolidationGroup: SiteGroupings;
        consolidationPartner: BusinessPartner;
        country: Country;
        customerOrSupplierOriginCategory: string;
        documentType: DocumentType;
        economicOperatorRegistrationAndIdNumber: string;
        europeanUnionVatNumber: string;
        fiscalCode: string;
        isCashExcluded: boolean;
        isIntersite: boolean;
        isMailingProhibited: boolean;
        isPhysicalPerson: boolean;
        isPublicSector: boolean;
        isServiceCaller: boolean;
        isServiceSupplier: boolean;
        italianTaxNumber: string;
        language: Language;
        nonResidentAccount: BusinessPartnerAddress;
        purchaseOrderText: TextStream;
        registrationNumber: string;
        relatedCompany: RelatedCompanySettings;
        reportAccessCode: Access;
        returnOrderText: TextStream;
        shortCompanyName: string;
        siteIdentificationNumber: string;
        standardIndustrialClassificationCode: string;
        vatNumber: string;
        paymentTerm: PaymentTerm;
        earlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        taxRule: TaxRule;
        accountingCode: AccountingCode;
    }
    export interface SupplierExtension$Lookups {
        accountingCode: QueryOperation<AccountingCode>;
    }
    export interface SupplierExtension$Operations {
        lookups(dataOrId: string | { data: SupplierInput }): SupplierExtension$Lookups;
    }
    export interface SupplierInvoiceHeaderExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        id: string;
        category: InvoiceType;
        purchaseInvoiceCategory: PurchaseInvoiceCategory;
        sourceModule: ModuleTable;
        billBySupplier: Supplier;
        control: string;
        company: Company;
        site: Site;
        accountingDate: string;
        internalNumber: integer;
        internalReference: string;
        sourceDocumentDate: string;
        sourceDocument: string;
        currency: Currency;
        rateType: ExchangeRateType;
        rateDate: string;
        isDAS2Submitted: boolean;
        payToBusinessPartner: BusinessPartner;
        dueDateCalculationStartDate: string;
        paymentTerm: PaymentTerm;
        earlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        earlyDiscountOrLateChargeRate: string;
        taxRule: TaxRule;
        isEuropeanUnionInvoice: boolean;
        intrastatProcessingNumber: integer;
        status: PurchasingInvoiceStatus;
        paymentApproval: PaymentApprovalType;
        originalInvoiceNumber: string;
        debitOrCredit: integer;
        totalAmountIncludingTax: string;
        totalAmountExcludingTax: string;
        totalAmountIncludingTaxInCompanyCurrency: string;
        totalAmountExcludingTaxInCompanyCurrency: string;
        taxReferenceDate: string;
        numberOfTaxes: integer;
        billBySupplierAddress: SupplierAddress;
        billBySupplierPostalCode: string;
        billBySupplierCity: string;
        billBySupplierState: string;
        billBySupplierCountry: Country;
        billBySupplierCountryName: string;
        payToBusinessPartnerAddress: BusinessPartnerAddress;
        payToBusinessPartnerPostalCode: string;
        payToBusinessPartnerCity: string;
        payToBusinessPartnerState: string;
        payToBusinessPartnerCountry: Country;
        payToBusinessPartnerCountryName: string;
        incoterm: Incoterm;
        incotermTown: string;
        intrastatTransportLocation: CountryLocation;
        europeanUnionIdentification: string;
        forwardingAgent: Carrier;
        forwardingAgentAddress: SupplierAddress;
        fiscalYear: integer;
        period: integer;
        serviceStartDate: string;
        serviceEndDate: string;
        lastServiceAccountedDate: string;
        unblockUser: User;
        unblockDate: string;
        unblockAmount: string;
        matchStatus: MatchStatusEnum;
        earlyDiscountOrLateChargeBasis: string;
        priceOrAmountType: PriceAmountTaxTax;
        singleCustomsDocumentDate: string;
        singleCustomsDocumentReference: string;
        singleCustomsDocumentBusinessPartnerCode: Supplier;
        derCode: string;
        versionControlSystemNumber: string;
        priceOrAmountTaxType: PriceAmountTaxTax;
        recurringNumber: string;
        importTaxAmountNumber: string;
        recurringInvoicingDate: string;
        numberOfCompanies: integer;
        cashVatTaxRule: boolean;
        field40Reason: MiscellaneousTable;
        field41Reason: MiscellaneousTable;
        originalDocumentNumber: string;
        inPaymentSlipWithReferenceLine: string;
        bankId: string;
        project: ProjectLink;
        numberOfInvoiceCopies: integer;
        billBySupplierAddressLines: ClientCollection<SupplierInvoiceHeaderBillBySupplierAddressLines>;
        billBySupplierCompanyNames: ClientCollection<SupplierInvoiceHeaderBillBySupplierCompanyNames>;
        comments: ClientCollection<SupplierInvoiceHeaderComments>;
        payToBusinessPartnerAddressLines: ClientCollection<SupplierInvoiceHeaderPayToBusinessPartnerAddressLines>;
        payToBusinessPartnerCompanyNames: ClientCollection<SupplierInvoiceHeaderPayToBusinessPartnerCompanyNames>;
        taxes: ClientCollection<SupplierInvoiceHeaderTaxes>;
        entryType: EntryType;
        journal: Journal;
        currencyRates: ClientCollection<SupplierInvoiceHeaderCurrencyRates>;
        dimensions: ClientCollection<SupplierInvoiceHeaderDimensions>;
    }
    export interface SupplierInvoiceHeaderInputExtension {
        id?: string;
        category?: InvoiceType;
        purchaseInvoiceCategory?: PurchaseInvoiceCategory;
        sourceModule?: ModuleTable;
        billBySupplier?: string;
        control?: string;
        company?: string;
        site?: string;
        accountingDate?: string;
        internalNumber?: integer | string;
        internalReference?: string;
        sourceDocumentDate?: string;
        sourceDocument?: string;
        currency?: string;
        rateType?: ExchangeRateType;
        rateDate?: string;
        isDAS2Submitted?: boolean | string;
        payToBusinessPartner?: string;
        dueDateCalculationStartDate?: string;
        paymentTerm?: string;
        earlyDiscountOrLateCharge?: string;
        earlyDiscountOrLateChargeRate?: decimal | string;
        taxRule?: string;
        isEuropeanUnionInvoice?: boolean | string;
        intrastatProcessingNumber?: integer | string;
        status?: PurchasingInvoiceStatus;
        paymentApproval?: PaymentApprovalType;
        originalInvoiceNumber?: string;
        debitOrCredit?: integer | string;
        totalAmountIncludingTax?: decimal | string;
        totalAmountExcludingTax?: decimal | string;
        totalAmountIncludingTaxInCompanyCurrency?: decimal | string;
        totalAmountExcludingTaxInCompanyCurrency?: decimal | string;
        taxReferenceDate?: string;
        numberOfTaxes?: integer | string;
        billBySupplierAddress?: string;
        billBySupplierPostalCode?: string;
        billBySupplierCity?: string;
        billBySupplierState?: string;
        billBySupplierCountry?: string;
        billBySupplierCountryName?: string;
        payToBusinessPartnerAddress?: string;
        payToBusinessPartnerPostalCode?: string;
        payToBusinessPartnerCity?: string;
        payToBusinessPartnerState?: string;
        payToBusinessPartnerCountry?: string;
        payToBusinessPartnerCountryName?: string;
        incoterm?: string;
        incotermTown?: string;
        intrastatTransportLocation?: CountryLocation;
        europeanUnionIdentification?: string;
        forwardingAgent?: string;
        forwardingAgentAddress?: string;
        fiscalYear?: integer | string;
        period?: integer | string;
        serviceStartDate?: string;
        serviceEndDate?: string;
        lastServiceAccountedDate?: string;
        unblockUser?: string;
        unblockDate?: string;
        unblockAmount?: decimal | string;
        matchStatus?: MatchStatusEnum;
        earlyDiscountOrLateChargeBasis?: decimal | string;
        priceOrAmountType?: PriceAmountTaxTax;
        singleCustomsDocumentDate?: string;
        singleCustomsDocumentReference?: string;
        singleCustomsDocumentBusinessPartnerCode?: string;
        derCode?: string;
        versionControlSystemNumber?: string;
        priceOrAmountTaxType?: PriceAmountTaxTax;
        recurringNumber?: string;
        importTaxAmountNumber?: string;
        recurringInvoicingDate?: string;
        numberOfCompanies?: integer | string;
        cashVatTaxRule?: boolean | string;
        field40Reason?: string;
        field41Reason?: string;
        originalDocumentNumber?: string;
        inPaymentSlipWithReferenceLine?: string;
        bankId?: string;
        project?: string;
        numberOfInvoiceCopies?: integer | string;
        billBySupplierAddressLines?: Partial<SupplierInvoiceHeaderBillBySupplierAddressLinesInput>[];
        billBySupplierCompanyNames?: Partial<SupplierInvoiceHeaderBillBySupplierCompanyNamesInput>[];
        comments?: Partial<SupplierInvoiceHeaderCommentsInput>[];
        payToBusinessPartnerAddressLines?: Partial<SupplierInvoiceHeaderPayToBusinessPartnerAddressLinesInput>[];
        payToBusinessPartnerCompanyNames?: Partial<SupplierInvoiceHeaderPayToBusinessPartnerCompanyNamesInput>[];
        taxes?: Partial<SupplierInvoiceHeaderTaxesInput>[];
        entryType?: string;
        journal?: string;
        currencyRates?: Partial<SupplierInvoiceHeaderCurrencyRatesInput>[];
        dimensions?: Partial<SupplierInvoiceHeaderDimensionsInput>[];
    }
    export interface SupplierInvoiceHeaderBindingExtension {
        _updateUser: SysUser;
        _createUser: SysUser;
        id: string;
        category: InvoiceType;
        purchaseInvoiceCategory: PurchaseInvoiceCategory;
        sourceModule: ModuleTable;
        billBySupplier: Supplier;
        control: string;
        company: Company;
        site: Site;
        accountingDate: string;
        internalNumber: integer;
        internalReference: string;
        sourceDocumentDate: string;
        sourceDocument: string;
        currency: Currency;
        rateType: ExchangeRateType;
        rateDate: string;
        isDAS2Submitted: boolean;
        payToBusinessPartner: BusinessPartner;
        dueDateCalculationStartDate: string;
        paymentTerm: PaymentTerm;
        earlyDiscountOrLateCharge: EarlyDiscountLateCharge;
        earlyDiscountOrLateChargeRate: string;
        taxRule: TaxRule;
        isEuropeanUnionInvoice: boolean;
        intrastatProcessingNumber: integer;
        status: PurchasingInvoiceStatus;
        paymentApproval: PaymentApprovalType;
        originalInvoiceNumber: string;
        debitOrCredit: integer;
        totalAmountIncludingTax: string;
        totalAmountExcludingTax: string;
        totalAmountIncludingTaxInCompanyCurrency: string;
        totalAmountExcludingTaxInCompanyCurrency: string;
        taxReferenceDate: string;
        numberOfTaxes: integer;
        billBySupplierAddress: SupplierAddress;
        billBySupplierPostalCode: string;
        billBySupplierCity: string;
        billBySupplierState: string;
        billBySupplierCountry: Country;
        billBySupplierCountryName: string;
        payToBusinessPartnerAddress: BusinessPartnerAddress;
        payToBusinessPartnerPostalCode: string;
        payToBusinessPartnerCity: string;
        payToBusinessPartnerState: string;
        payToBusinessPartnerCountry: Country;
        payToBusinessPartnerCountryName: string;
        incoterm: Incoterm;
        incotermTown: string;
        intrastatTransportLocation: CountryLocation;
        europeanUnionIdentification: string;
        forwardingAgent: Carrier;
        forwardingAgentAddress: SupplierAddress;
        fiscalYear: integer;
        period: integer;
        serviceStartDate: string;
        serviceEndDate: string;
        lastServiceAccountedDate: string;
        unblockUser: User;
        unblockDate: string;
        unblockAmount: string;
        matchStatus: MatchStatusEnum;
        earlyDiscountOrLateChargeBasis: string;
        priceOrAmountType: PriceAmountTaxTax;
        singleCustomsDocumentDate: string;
        singleCustomsDocumentReference: string;
        singleCustomsDocumentBusinessPartnerCode: Supplier;
        derCode: string;
        versionControlSystemNumber: string;
        priceOrAmountTaxType: PriceAmountTaxTax;
        recurringNumber: string;
        importTaxAmountNumber: string;
        recurringInvoicingDate: string;
        numberOfCompanies: integer;
        cashVatTaxRule: boolean;
        field40Reason: MiscellaneousTable;
        field41Reason: MiscellaneousTable;
        originalDocumentNumber: string;
        inPaymentSlipWithReferenceLine: string;
        bankId: string;
        project: ProjectLink;
        numberOfInvoiceCopies: integer;
        billBySupplierAddressLines: ClientCollection<SupplierInvoiceHeaderBillBySupplierAddressLinesBinding>;
        billBySupplierCompanyNames: ClientCollection<SupplierInvoiceHeaderBillBySupplierCompanyNamesBinding>;
        comments: ClientCollection<SupplierInvoiceHeaderCommentsBinding>;
        payToBusinessPartnerAddressLines: ClientCollection<SupplierInvoiceHeaderPayToBusinessPartnerAddressLinesBinding>;
        payToBusinessPartnerCompanyNames: ClientCollection<SupplierInvoiceHeaderPayToBusinessPartnerCompanyNamesBinding>;
        taxes: ClientCollection<SupplierInvoiceHeaderTaxesBinding>;
        entryType: EntryType;
        journal: Journal;
        currencyRates: ClientCollection<SupplierInvoiceHeaderCurrencyRatesBinding>;
        dimensions: ClientCollection<SupplierInvoiceHeaderDimensionsBinding>;
    }
    export interface SupplierInvoiceHeaderExtension$Lookups {
        entryType: QueryOperation<EntryType>;
        journal: QueryOperation<Journal>;
    }
    export interface SupplierInvoiceHeaderExtension$Operations {
        lookups(dataOrId: string | { data: SupplierInvoiceHeaderInput }): SupplierInvoiceHeaderExtension$Lookups;
    }
    export interface Package {
        '@sage/x3-finance-data/AccountScheme': AccountScheme$Operations;
        '@sage/x3-finance-data/Account': Account$Operations;
        '@sage/x3-finance-data/AccountingCode': AccountingCode$Operations;
        '@sage/x3-finance-data/AutomaticJournal': AutomaticJournal$Operations;
        '@sage/x3-finance-data/BankAccount': BankAccount$Operations;
        '@sage/x3-finance-data/BillOfLanding': BillOfLanding$Operations;
        '@sage/x3-finance-data/ChartOfAccounts': ChartOfAccounts$Operations;
        '@sage/x3-finance-data/CostTypeDimensions': CostTypeDimensions$Operations;
        '@sage/x3-finance-data/CustomerDimensions': CustomerDimensions$Operations;
        '@sage/x3-finance-data/CustomerInvoiceHeaderCurrencyRates': CustomerInvoiceHeaderCurrencyRates$Operations;
        '@sage/x3-finance-data/CustomerInvoiceHeaderDimensions': CustomerInvoiceHeaderDimensions$Operations;
        '@sage/x3-finance-data/DimensionType': DimensionType$Operations;
        '@sage/x3-finance-data/Dimension': Dimension$Operations;
        '@sage/x3-finance-data/DistributionKey': DistributionKey$Operations;
        '@sage/x3-finance-data/EntryType': EntryType$Operations;
        '@sage/x3-finance-data/Factor': Factor$Operations;
        '@sage/x3-finance-data/FiscalYear': FiscalYear$Operations;
        '@sage/x3-finance-data/JournalEntryTransaction': JournalEntryTransaction$Operations;
        '@sage/x3-finance-data/Journal': Journal$Operations;
        '@sage/x3-finance-data/Ledger': Ledger$Operations;
        '@sage/x3-finance-data/OpenItem': OpenItem$Operations;
        '@sage/x3-finance-data/Period': Period$Operations;
        '@sage/x3-finance-data/ProductCategoryDimensions': ProductCategoryDimensions$Operations;
        '@sage/x3-finance-data/ProductDimensions': ProductDimensions$Operations;
        '@sage/x3-finance-data/ReminderGroup': ReminderGroup$Operations;
        '@sage/x3-finance-data/RevenueRecognitionRules': RevenueRecognitionRules$Operations;
        '@sage/x3-finance-data/StockJournalDimensions': StockJournalDimensions$Operations;
        '@sage/x3-finance-data/StockJournalImportDimensions': StockJournalImportDimensions$Operations;
        '@sage/x3-finance-data/SupplierInvoiceHeaderCurrencyRates': SupplierInvoiceHeaderCurrencyRates$Operations;
        '@sage/x3-finance-data/SupplierInvoiceHeaderDimensions': SupplierInvoiceHeaderDimensions$Operations;
    }
    export interface GraphApi
        extends Package,
            SageX3InvoicingData$Package,
            SageX3ManufacturingData$Package,
            SageX3MasterData$Package,
            SageX3ProjectManagementData$Package,
            SageX3StockData$Package,
            SageX3Structure$Package,
            SageX3System$Package,
            SageXtremAppMetadata$Package,
            SageXtremX3SystemUtils$Package {}
}
declare module '@sage/x3-finance-data-api' {
    export type * from '@sage/x3-finance-data-api-partial';
}
declare module '@sage/x3-invoicing-data-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-finance-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-manufacturing-data-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-finance-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-master-data-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-finance-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-project-management-data-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-finance-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-stock-data-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-finance-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-structure-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-finance-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-system-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-finance-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/xtrem-app-metadata-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-finance-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/xtrem-x3-system-utils-api-partial' {
    import type { GraphApi as GraphApiExtension } from '@sage/x3-finance-data-api';
    export interface GraphApi extends GraphApiExtension {}
}
declare module '@sage/x3-master-data-api-partial' {
    import type {
        BusinessPartnerBindingExtension,
        BusinessPartnerCompanyExceptionBindingExtension,
        BusinessPartnerCompanyExceptionExtension,
        BusinessPartnerCompanyExceptionExtension$Lookups,
        BusinessPartnerCompanyExceptionExtension$Operations,
        BusinessPartnerCompanyExceptionInputExtension,
        BusinessPartnerExtension,
        BusinessPartnerExtension$Lookups,
        BusinessPartnerExtension$Operations,
        BusinessPartnerInputExtension,
        CustomerBindingExtension,
        CustomerExtension,
        CustomerExtension$Lookups,
        CustomerExtension$Operations,
        CustomerInputExtension,
        ProductBindingExtension,
        ProductCategoryBindingExtension,
        ProductCategoryExtension,
        ProductCategoryExtension$Lookups,
        ProductCategoryExtension$Operations,
        ProductCategoryInputExtension,
        ProductExtension,
        ProductExtension$Lookups,
        ProductExtension$Operations,
        ProductInputExtension,
        SupplierBindingExtension,
        SupplierExtension,
        SupplierExtension$Lookups,
        SupplierExtension$Operations,
        SupplierInputExtension,
    } from '@sage/x3-finance-data-api';
    export interface BusinessPartnerCompanyException extends BusinessPartnerCompanyExceptionExtension {}
    export interface BusinessPartnerCompanyExceptionBinding extends BusinessPartnerCompanyExceptionBindingExtension {}
    export interface BusinessPartnerCompanyExceptionInput extends BusinessPartnerCompanyExceptionInputExtension {}
    export interface BusinessPartnerCompanyException$Lookups extends BusinessPartnerCompanyExceptionExtension$Lookups {}
    export interface BusinessPartnerCompanyException$Operations
        extends BusinessPartnerCompanyExceptionExtension$Operations {}
    export interface BusinessPartner extends BusinessPartnerExtension {}
    export interface BusinessPartnerBinding extends BusinessPartnerBindingExtension {}
    export interface BusinessPartnerInput extends BusinessPartnerInputExtension {}
    export interface BusinessPartner$Lookups extends BusinessPartnerExtension$Lookups {}
    export interface BusinessPartner$Operations extends BusinessPartnerExtension$Operations {}
    export interface Customer extends CustomerExtension {}
    export interface CustomerBinding extends CustomerBindingExtension {}
    export interface CustomerInput extends CustomerInputExtension {}
    export interface Customer$Lookups extends CustomerExtension$Lookups {}
    export interface Customer$Operations extends CustomerExtension$Operations {}
    export interface ProductCategory extends ProductCategoryExtension {}
    export interface ProductCategoryBinding extends ProductCategoryBindingExtension {}
    export interface ProductCategoryInput extends ProductCategoryInputExtension {}
    export interface ProductCategory$Lookups extends ProductCategoryExtension$Lookups {}
    export interface ProductCategory$Operations extends ProductCategoryExtension$Operations {}
    export interface Product extends ProductExtension {}
    export interface ProductBinding extends ProductBindingExtension {}
    export interface ProductInput extends ProductInputExtension {}
    export interface Product$Lookups extends ProductExtension$Lookups {}
    export interface Product$Operations extends ProductExtension$Operations {}
    export interface Supplier extends SupplierExtension {}
    export interface SupplierBinding extends SupplierBindingExtension {}
    export interface SupplierInput extends SupplierInputExtension {}
    export interface Supplier$Lookups extends SupplierExtension$Lookups {}
    export interface Supplier$Operations extends SupplierExtension$Operations {}
}
declare module '@sage/x3-project-management-data-api-partial' {
    import type {
        CostTypeBindingExtension,
        CostTypeExtension,
        CostTypeInputExtension,
    } from '@sage/x3-finance-data-api';
    export interface CostType extends CostTypeExtension {}
    export interface CostTypeBinding extends CostTypeBindingExtension {}
    export interface CostTypeInput extends CostTypeInputExtension {}
}
declare module '@sage/x3-invoicing-data-api-partial' {
    import type {
        CustomerInvoiceHeaderBindingExtension,
        CustomerInvoiceHeaderExtension,
        CustomerInvoiceHeaderExtension$Lookups,
        CustomerInvoiceHeaderExtension$Operations,
        CustomerInvoiceHeaderInputExtension,
        SupplierInvoiceHeaderBindingExtension,
        SupplierInvoiceHeaderExtension,
        SupplierInvoiceHeaderExtension$Lookups,
        SupplierInvoiceHeaderExtension$Operations,
        SupplierInvoiceHeaderInputExtension,
    } from '@sage/x3-finance-data-api';
    export interface CustomerInvoiceHeader extends CustomerInvoiceHeaderExtension {}
    export interface CustomerInvoiceHeaderBinding extends CustomerInvoiceHeaderBindingExtension {}
    export interface CustomerInvoiceHeaderInput extends CustomerInvoiceHeaderInputExtension {}
    export interface CustomerInvoiceHeader$Lookups extends CustomerInvoiceHeaderExtension$Lookups {}
    export interface CustomerInvoiceHeader$Operations extends CustomerInvoiceHeaderExtension$Operations {}
    export interface SupplierInvoiceHeader extends SupplierInvoiceHeaderExtension {}
    export interface SupplierInvoiceHeaderBinding extends SupplierInvoiceHeaderBindingExtension {}
    export interface SupplierInvoiceHeaderInput extends SupplierInvoiceHeaderInputExtension {}
    export interface SupplierInvoiceHeader$Lookups extends SupplierInvoiceHeaderExtension$Lookups {}
    export interface SupplierInvoiceHeader$Operations extends SupplierInvoiceHeaderExtension$Operations {}
}
declare module '@sage/x3-stock-data-api-partial' {
    import type {
        StockJournalBindingExtension,
        StockJournalExtension,
        StockJournalExtension$Lookups,
        StockJournalExtension$Operations,
        StockJournalInputExtension,
    } from '@sage/x3-finance-data-api';
    export interface StockJournal extends StockJournalExtension {}
    export interface StockJournalBinding extends StockJournalBindingExtension {}
    export interface StockJournalInput extends StockJournalInputExtension {}
    export interface StockJournal$Lookups extends StockJournalExtension$Lookups {}
    export interface StockJournal$Operations extends StockJournalExtension$Operations {}
}
declare module '@sage/x3-manufacturing-data-api-partial' {
    import type {
        StockJournalImportBindingExtension,
        StockJournalImportExtension,
        StockJournalImportExtension$Lookups,
        StockJournalImportExtension$Operations,
        StockJournalImportInputExtension,
    } from '@sage/x3-finance-data-api';
    export interface StockJournalImport extends StockJournalImportExtension {}
    export interface StockJournalImportBinding extends StockJournalImportBindingExtension {}
    export interface StockJournalImportInput extends StockJournalImportInputExtension {}
    export interface StockJournalImport$Lookups extends StockJournalImportExtension$Lookups {}
    export interface StockJournalImport$Operations extends StockJournalImportExtension$Operations {}
}
