"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PurchaseOrderExtension = void 0;
const sageX3Purchasing = require("@sage/x3-purchasing");
const sageX3Sales = require("@sage/x3-sales");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const xtrem_core_1 = require("@sage/xtrem-core");
const joins = {};
let PurchaseOrderExtension = class PurchaseOrderExtension extends xtrem_core_1.NodeExtension {
};
exports.PurchaseOrderExtension = PurchaseOrderExtension;
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'SOHCAT',
        dataType: () => sageX3Sales.enums.orderCategoryDatatype,
    })
], PurchaseOrderExtension.prototype, "salesOrderCategory", void 0);
__decorate([
    xtrem_core_1.decorators.enumProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DME',
        dataType: () => sageX3Sales.enums.partialDeliveryDatatype,
    })
], PurchaseOrderExtension.prototype, "partialDelivery", void 0);
exports.PurchaseOrderExtension = PurchaseOrderExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageX3Purchasing.nodes.PurchaseOrder,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], PurchaseOrderExtension);
//# sourceMappingURL=purchase-order-extension.js.map