import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
import * as sageX3StockData from '@sage/x3-stock-data';
import { Node, Reference } from '@sage/xtrem-core';
import * as sageX3ProjectManagement from '..';
export declare class CostGroupLink extends Node {
    readonly costType: Reference<sageX3ProjectManagementData.nodes.CostType>;
    readonly costGroupType: Promise<sageX3ProjectManagement.enums.CostGroupType | null>;
    readonly material: Promise<sageX3StockData.enums.MaterialCostGroup | null>;
    readonly labor: Promise<sageX3StockData.enums.DimensionCostGroup | null>;
    readonly machine: Promise<sageX3StockData.enums.DimensionCostGroup | null>;
}
//# sourceMappingURL=cost-group-link.d.ts.map