import { Node, Reference, integer, Collection } from '@sage/xtrem-core';
import * as sageX3System from '..';
export declare class GeneralParameter extends Node {
    readonly code: Promise<string>;
    readonly chapter: Reference<sageX3System.nodes.MiscellaneousTable | null>;
    readonly group: Reference<sageX3System.nodes.MiscellaneousTable>;
    readonly description: Promise<integer | null>;
    readonly activityCode: Reference<sageX3System.nodes.ActivityCode | null>;
    readonly valueType: Promise<sageX3System.enums.FieldType | null>;
    readonly isEditable: Promise<boolean>;
    readonly localMenu: Promise<integer | null>;
    readonly definitionLevel: Promise<sageX3System.enums.DefinitionLevel | null>;
    readonly isOffValue: Promise<boolean>;
    readonly processing: Promise<string>;
    readonly selectionOptions: Promise<string>;
    readonly canUserUpdate: Promise<boolean>;
    readonly sequence: Promise<integer | null>;
    readonly access: Reference<sageX3System.nodes.Access | null>;
    readonly folderValue: Promise<boolean>;
    readonly modifyingCondition: Promise<string>;
    readonly selectableValues: Collection<sageX3System.nodes.GeneralParameterSelectableValues>;
}
//# sourceMappingURL=general-parameter.d.ts.map