import * as sageX3ManufacturingData from '@sage/x3-manufacturing-data';
import * as sageX3MasterData from '@sage/x3-master-data';
import { Node, integer, decimal } from '@sage/xtrem-core';
import * as sageX3Purchasing from '..';
export declare class PurchaseOrderQuantityLinesSupplierView extends Node {
    readonly receiptSite: Promise<string>;
    readonly supplier: Promise<string>;
    readonly product: Promise<string>;
    readonly purchaseOrder: Promise<string>;
    readonly lineNumber: Promise<integer | null>;
    readonly sequenceNumber: Promise<integer | null>;
    readonly isClosed: Promise<boolean>;
    readonly sourceRequest: Promise<sageX3Purchasing.enums.RequestSource | null>;
    readonly lineType: Promise<sageX3Purchasing.enums.OrderLineType | null>;
    readonly purchaseUnitToStockUnitConversionFactor: Promise<integer | null>;
    readonly workInProgressStatus: Promise<sageX3ManufacturingData.enums.StatusInProgress | null>;
    readonly productType: Promise<sageX3Purchasing.enums.PurchasingProductType | null>;
    readonly description1: Promise<string>;
    readonly quantityInPurchaseUnitOrdered: Promise<decimal | null>;
    readonly quantityInPurchaseUnitReceived: Promise<decimal | null>;
    readonly purchaseUnit: Promise<string>;
    readonly upc: Promise<string>;
    readonly globalTradeItemNumber: Promise<string>;
    readonly productStatus: Promise<sageX3MasterData.enums.ProductStatus | null>;
    readonly isReceived: Promise<boolean>;
    readonly isManufactured: Promise<boolean>;
    readonly isPhantom: Promise<boolean>;
    readonly isIntersite: Promise<boolean>;
    readonly supplierProduct: Promise<string>;
    readonly supplierProductDescription: Promise<string>;
    readonly supplierUpc: Promise<string>;
}
//# sourceMappingURL=purchase-order-quantity-lines-supplier-view.d.ts.map