import * as sageX3System from '@sage/x3-system';
import { Node, integer, Reference, decimal } from '@sage/xtrem-core';
import * as sageX3Manufacturing from '..';
export declare class WorkOrderOperationScheduling extends Node {
    readonly workOrder: Promise<string>;
    readonly operationNumber: Promise<integer | null>;
    readonly operationSplit: Promise<integer | null>;
    readonly productionSite: Reference<sageX3System.nodes.Site>;
    readonly downstreamOperationNumber: Promise<integer | null>;
    readonly scheduleCode: Promise<sageX3Manufacturing.enums.SchedulingCode | null>;
    readonly overlappingTime: Promise<decimal | null>;
    readonly overlappingQuantity: Promise<decimal | null>;
    readonly lotQuantity: Promise<decimal | null>;
    readonly numberOfLots: Promise<decimal | null>;
    readonly milestone: Promise<sageX3Manufacturing.enums.ScheduleType | null>;
    readonly timeUnit: Promise<sageX3Manufacturing.enums.TimeUnitCode | null>;
}
//# sourceMappingURL=work-order-operation-scheduling.d.ts.map