// From file: /agent/_work/1/s/x3-services/shared/x3-project-management-data/build/index.d.ts
declare module '@sage/x3-project-management-data/index' {
	export * from '@sage/x3-project-management-data/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-project-management-data/build/lib/index.d.ts
declare module '@sage/x3-project-management-data/lib/index' {
	export * as enums from '@sage/x3-project-management-data/lib/enums/index';
	export * as nodeExtensions from '@sage/x3-project-management-data/lib/node-extensions/index';
	export * as nodes from '@sage/x3-project-management-data/lib/nodes/index';
	export * as serviceOptions from '@sage/x3-project-management-data/lib/service-options/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-project-management-data/build/lib/service-options/index.d.ts
declare module '@sage/x3-project-management-data/lib/service-options/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-project-management-data/build/lib/nodes/project-text.d.ts
declare module '@sage/x3-project-management-data/lib/nodes/project-text' {
	import { Node, TextStream } from '@sage/xtrem-core';
	export class ProjectText extends Node {
	    readonly code: Promise<string>;
	    readonly identifier1: Promise<string>;
	    readonly identifier2: Promise<string>;
	    readonly identifier3: Promise<string>;
	    readonly identifier4: Promise<string>;
	    readonly text: Promise<TextStream>;
	}
	//# sourceMappingURL=project-text.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-project-management-data/build/lib/nodes/project-link.d.ts
declare module '@sage/x3-project-management-data/lib/nodes/project-link' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class ProjectLink extends Node {
	    readonly id: Promise<string>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly site: Reference<sageX3System.nodes.Site>;
	    readonly type: Promise<sageX3MasterData.enums.ProjectAllocationType>;
	    readonly isActive: Promise<boolean>;
	    readonly company: Reference<sageX3System.nodes.Company>;
	}
	//# sourceMappingURL=project-link.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-project-management-data/build/lib/nodes/index.d.ts
declare module '@sage/x3-project-management-data/lib/nodes/index' {
	export * from '@sage/x3-project-management-data/lib/nodes/cost-type';
	export * from '@sage/x3-project-management-data/lib/nodes/project-link';
	export * from '@sage/x3-project-management-data/lib/nodes/project-text';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-project-management-data/build/lib/nodes/cost-type.d.ts
declare module '@sage/x3-project-management-data/lib/nodes/cost-type' {
	import * as sageX3System from '@sage/x3-system';
	import { Node, Reference } from '@sage/xtrem-core';
	export class CostType extends Node {
	    readonly code: Promise<string>;
	    readonly site: Reference<sageX3System.nodes.Site | null>;
	    readonly localizedDescription: Promise<string>;
	    readonly localizedShortDescription: Promise<string>;
	    readonly isActive: Promise<boolean>;
	}
	//# sourceMappingURL=cost-type.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-project-management-data/build/lib/node-extensions/product-extension.d.ts
declare module '@sage/x3-project-management-data/lib/node-extensions/product-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { NodeExtension, Reference } from '@sage/xtrem-core';
	import * as sageX3ProjectManagementData from '@sage/x3-project-management-data/lib/index';
	export class ProductExtension extends NodeExtension<sageX3MasterData.nodes.Product> {
	    readonly costType: Reference<sageX3ProjectManagementData.nodes.CostType | null>;
	}
	declare module '@sage/x3-master-data/lib/nodes/product' {
	    interface Product extends ProductExtension {
	    }
	}
	//# sourceMappingURL=product-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-project-management-data/build/lib/node-extensions/product-category-extension.d.ts
declare module '@sage/x3-project-management-data/lib/node-extensions/product-category-extension' {
	import * as sageX3MasterData from '@sage/x3-master-data';
	import { NodeExtension, Reference } from '@sage/xtrem-core';
	import * as sageX3ProjectManagementData from '@sage/x3-project-management-data/lib/index';
	export class ProductCategoryExtension extends NodeExtension<sageX3MasterData.nodes.ProductCategory> {
	    readonly costType: Reference<sageX3ProjectManagementData.nodes.CostType | null>;
	}
	declare module '@sage/x3-master-data/lib/nodes/product-category' {
	    interface ProductCategory extends ProductCategoryExtension {
	    }
	}
	//# sourceMappingURL=product-category-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-project-management-data/build/lib/node-extensions/index.d.ts
declare module '@sage/x3-project-management-data/lib/node-extensions/index' {
	export * from '@sage/x3-project-management-data/lib/node-extensions/product-category-extension';
	export * from '@sage/x3-project-management-data/lib/node-extensions/product-extension';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-project-management-data/build/lib/enums/index.d.ts
declare module '@sage/x3-project-management-data/lib/enums/index' {
	export * from '@sage/x3-project-management-data/lib/enums/billing-mode';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/shared/x3-project-management-data/build/lib/enums/billing-mode.d.ts
declare module '@sage/x3-project-management-data/lib/enums/billing-mode' {
	import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
	export enum BillingModeEnum {
	    none = 1,
	    progressBilling = 2,
	    timeBilling = 3
	}
	export interface BillingMode$EnumInterface {
	    none: 1;
	    progressBilling: 2;
	    timeBilling: 3;
	}
	export type BillingMode = keyof BillingMode$EnumInterface;
	export const billingModeDatatype: X3EnumDataType<keyof BillingMode$EnumInterface, unknown>;
	//# sourceMappingURL=billing-mode.d.ts.map
}
declare module '@sage/x3-project-management-data' {
	export * from '@sage/x3-project-management-data/index';
}
