// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/index.d.ts
declare module '@sage/x3-purchasing-sales/index' {
	export * from '@sage/x3-purchasing-sales/lib/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/index.d.ts
declare module '@sage/x3-purchasing-sales/lib/index' {
	export * as enums from '@sage/x3-purchasing-sales/lib/enums/index';
	export * as nodeExtensions from '@sage/x3-purchasing-sales/lib/node-extensions/index';
	export * as nodes from '@sage/x3-purchasing-sales/lib/nodes/index';
	export * as serviceOptions from '@sage/x3-purchasing-sales/lib/service-options/index';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/service-options/index.d.ts
declare module '@sage/x3-purchasing-sales/lib/service-options/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/nodes/index.d.ts
declare module '@sage/x3-purchasing-sales/lib/nodes/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/node-extensions/sales-return-line-extension.d.ts
declare module '@sage/x3-purchasing-sales/lib/node-extensions/sales-return-line-extension' {
	import * as sageX3Purchasing from '@sage/x3-purchasing';
	import * as sageX3Sales from '@sage/x3-sales';
	import { NodeExtension, Reference } from '@sage/xtrem-core';
	export class SalesReturnLineExtension extends NodeExtension<sageX3Sales.nodes.SalesReturnLine> {
	    readonly purchaseReturn: Reference<sageX3Purchasing.nodes.PurchaseReturn | null>;
	    readonly purchaseReturnLine: Reference<sageX3Purchasing.nodes.PurchaseReturnLine | null>;
	}
	declare module '@sage/x3-sales/lib/nodes/sales-return-line' {
	    interface SalesReturnLine extends SalesReturnLineExtension {
	    }
	}
	//# sourceMappingURL=sales-return-line-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/node-extensions/sales-order-quantity-line-extension.d.ts
declare module '@sage/x3-purchasing-sales/lib/node-extensions/sales-order-quantity-line-extension' {
	import * as sageX3Purchasing from '@sage/x3-purchasing';
	import * as sageX3Sales from '@sage/x3-sales';
	import { NodeExtension, Reference, integer } from '@sage/xtrem-core';
	export class SalesOrderQuantityLineExtension extends NodeExtension<sageX3Sales.nodes.SalesOrderQuantityLine> {
	    readonly purchaseOrder: Reference<sageX3Purchasing.nodes.PurchaseOrder | null>;
	    readonly purchaseOrderLine: Reference<sageX3Purchasing.nodes.PurchaseOrderLine | null>;
	    readonly purchaseOrderSequenceNumber: Promise<integer | null>;
	}
	declare module '@sage/x3-sales/lib/nodes/sales-order-quantity-line' {
	    interface SalesOrderQuantityLine extends SalesOrderQuantityLineExtension {
	    }
	}
	//# sourceMappingURL=sales-order-quantity-line-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/node-extensions/sales-order-line-extension.d.ts
declare module '@sage/x3-purchasing-sales/lib/node-extensions/sales-order-line-extension' {
	import * as sageX3Purchasing from '@sage/x3-purchasing';
	import * as sageX3Sales from '@sage/x3-sales';
	import { NodeExtension, Reference, integer } from '@sage/xtrem-core';
	export class SalesOrderLineExtension extends NodeExtension<sageX3Sales.nodes.SalesOrderLine> {
	    readonly purchaseOrder: Reference<sageX3Purchasing.nodes.PurchaseOrder | null>;
	    readonly purchaseOrderLine: Reference<sageX3Purchasing.nodes.PurchaseOrderLine | null>;
	    readonly purchaseOrderSequenceNumber: Promise<integer | null>;
	}
	declare module '@sage/x3-sales/lib/nodes/sales-order-line' {
	    interface SalesOrderLine extends SalesOrderLineExtension {
	    }
	}
	//# sourceMappingURL=sales-order-line-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/node-extensions/sales-invoice-line-extension.d.ts
declare module '@sage/x3-purchasing-sales/lib/node-extensions/sales-invoice-line-extension' {
	import * as sageX3Sales from '@sage/x3-sales';
	import { NodeExtension, integer } from '@sage/xtrem-core';
	export class SalesInvoiceLineExtension extends NodeExtension<sageX3Sales.nodes.SalesInvoiceLine> {
	    readonly purchaseInvoiceLineNumber: Promise<integer | null>;
	}
	declare module '@sage/x3-sales/lib/nodes/sales-invoice-line' {
	    interface SalesInvoiceLine extends SalesInvoiceLineExtension {
	    }
	}
	//# sourceMappingURL=sales-invoice-line-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/node-extensions/sales-invoice-extension.d.ts
declare module '@sage/x3-purchasing-sales/lib/node-extensions/sales-invoice-extension' {
	import * as sageX3Purchasing from '@sage/x3-purchasing';
	import * as sageX3Sales from '@sage/x3-sales';
	import { NodeExtension, Reference } from '@sage/xtrem-core';
	export class SalesInvoiceExtension extends NodeExtension<sageX3Sales.nodes.SalesInvoice> {
	    readonly purchaseInvoice: Reference<sageX3Purchasing.nodes.PurchaseInvoice | null>;
	}
	declare module '@sage/x3-sales/lib/nodes/sales-invoice' {
	    interface SalesInvoice extends SalesInvoiceExtension {
	    }
	}
	//# sourceMappingURL=sales-invoice-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/node-extensions/purchase-receipt-line-extension.d.ts
declare module '@sage/x3-purchasing-sales/lib/node-extensions/purchase-receipt-line-extension' {
	import * as sageX3Purchasing from '@sage/x3-purchasing';
	import * as sageX3Sales from '@sage/x3-sales';
	import { NodeExtension, Reference } from '@sage/xtrem-core';
	export class PurchaseReceiptLineExtension extends NodeExtension<sageX3Purchasing.nodes.PurchaseReceiptLine> {
	    readonly salesDelivery: Reference<sageX3Sales.nodes.SalesDelivery | null>;
	    readonly salesDeliveryLine: Reference<sageX3Sales.nodes.SalesDeliveryLine | null>;
	}
	declare module '@sage/x3-purchasing/lib/nodes/purchase-receipt-line' {
	    interface PurchaseReceiptLine extends PurchaseReceiptLineExtension {
	    }
	}
	//# sourceMappingURL=purchase-receipt-line-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/node-extensions/purchase-order-quantity-line-extension.d.ts
declare module '@sage/x3-purchasing-sales/lib/node-extensions/purchase-order-quantity-line-extension' {
	import * as sageX3Purchasing from '@sage/x3-purchasing';
	import * as sageX3Sales from '@sage/x3-sales';
	import { NodeExtension, Reference, integer } from '@sage/xtrem-core';
	export class PurchaseOrderQuantityLineExtension extends NodeExtension<sageX3Purchasing.nodes.PurchaseOrderQuantityLine> {
	    readonly salesOrder: Reference<sageX3Sales.nodes.SalesOrder | null>;
	    readonly salesOrderLine: Reference<sageX3Sales.nodes.SalesOrderLine | null>;
	    readonly salesOrderSequenceNumber: Promise<integer | null>;
	    readonly salesDelivery: Reference<sageX3Sales.nodes.SalesDelivery | null>;
	    readonly salesDeliveryLine: Reference<sageX3Sales.nodes.SalesDeliveryLine | null>;
	}
	declare module '@sage/x3-purchasing/lib/nodes/purchase-order-quantity-line' {
	    interface PurchaseOrderQuantityLine extends PurchaseOrderQuantityLineExtension {
	    }
	}
	//# sourceMappingURL=purchase-order-quantity-line-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/node-extensions/purchase-order-line-extension.d.ts
declare module '@sage/x3-purchasing-sales/lib/node-extensions/purchase-order-line-extension' {
	import * as sageX3Purchasing from '@sage/x3-purchasing';
	import * as sageX3Sales from '@sage/x3-sales';
	import { NodeExtension, Reference, integer } from '@sage/xtrem-core';
	export class PurchaseOrderLineExtension extends NodeExtension<sageX3Purchasing.nodes.PurchaseOrderLine> {
	    readonly salesDelivery: Reference<sageX3Sales.nodes.SalesDelivery | null>;
	    readonly salesDeliveryLine: Reference<sageX3Sales.nodes.SalesDeliveryLine | null>;
	    readonly salesOrder: Reference<sageX3Sales.nodes.SalesOrder | null>;
	    readonly salesOrderLine: Reference<sageX3Sales.nodes.SalesOrderLine | null>;
	    readonly salesOrderSequenceNumber: Promise<integer | null>;
	}
	declare module '@sage/x3-purchasing/lib/nodes/purchase-order-line' {
	    interface PurchaseOrderLine extends PurchaseOrderLineExtension {
	    }
	}
	//# sourceMappingURL=purchase-order-line-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/node-extensions/purchase-order-extension.d.ts
declare module '@sage/x3-purchasing-sales/lib/node-extensions/purchase-order-extension' {
	import * as sageX3Purchasing from '@sage/x3-purchasing';
	import * as sageX3Sales from '@sage/x3-sales';
	import { NodeExtension } from '@sage/xtrem-core';
	export class PurchaseOrderExtension extends NodeExtension<sageX3Purchasing.nodes.PurchaseOrder> {
	    readonly salesOrderCategory: Promise<sageX3Sales.enums.OrderCategory | null>;
	    readonly partialDelivery: Promise<sageX3Sales.enums.PartialDelivery | null>;
	}
	declare module '@sage/x3-purchasing/lib/nodes/purchase-order' {
	    interface PurchaseOrder extends PurchaseOrderExtension {
	    }
	}
	//# sourceMappingURL=purchase-order-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/node-extensions/purchase-invoice-line-extension.d.ts
declare module '@sage/x3-purchasing-sales/lib/node-extensions/purchase-invoice-line-extension' {
	import * as sageX3Purchasing from '@sage/x3-purchasing';
	import { NodeExtension, integer } from '@sage/xtrem-core';
	export class PurchaseInvoiceLineExtension extends NodeExtension<sageX3Purchasing.nodes.PurchaseInvoiceLine> {
	    readonly salesInvoiceLineNumber: Promise<integer | null>;
	}
	declare module '@sage/x3-purchasing/lib/nodes/purchase-invoice-line' {
	    interface PurchaseInvoiceLine extends PurchaseInvoiceLineExtension {
	    }
	}
	//# sourceMappingURL=purchase-invoice-line-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/node-extensions/purchase-invoice-extension.d.ts
declare module '@sage/x3-purchasing-sales/lib/node-extensions/purchase-invoice-extension' {
	import * as sageX3Purchasing from '@sage/x3-purchasing';
	import * as sageX3Sales from '@sage/x3-sales';
	import { NodeExtension, Reference } from '@sage/xtrem-core';
	export class PurchaseInvoiceExtension extends NodeExtension<sageX3Purchasing.nodes.PurchaseInvoice> {
	    readonly salesInvoice: Reference<sageX3Sales.nodes.SalesInvoice | null>;
	}
	declare module '@sage/x3-purchasing/lib/nodes/purchase-invoice' {
	    interface PurchaseInvoice extends PurchaseInvoiceExtension {
	    }
	}
	//# sourceMappingURL=purchase-invoice-extension.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/node-extensions/index.d.ts
declare module '@sage/x3-purchasing-sales/lib/node-extensions/index' {
	export * from '@sage/x3-purchasing-sales/lib/node-extensions/purchase-invoice-extension';
	export * from '@sage/x3-purchasing-sales/lib/node-extensions/purchase-invoice-line-extension';
	export * from '@sage/x3-purchasing-sales/lib/node-extensions/purchase-order-extension';
	export * from '@sage/x3-purchasing-sales/lib/node-extensions/purchase-order-line-extension';
	export * from '@sage/x3-purchasing-sales/lib/node-extensions/purchase-order-quantity-line-extension';
	export * from '@sage/x3-purchasing-sales/lib/node-extensions/purchase-receipt-line-extension';
	export * from '@sage/x3-purchasing-sales/lib/node-extensions/sales-invoice-extension';
	export * from '@sage/x3-purchasing-sales/lib/node-extensions/sales-invoice-line-extension';
	export * from '@sage/x3-purchasing-sales/lib/node-extensions/sales-order-line-extension';
	export * from '@sage/x3-purchasing-sales/lib/node-extensions/sales-order-quantity-line-extension';
	export * from '@sage/x3-purchasing-sales/lib/node-extensions/sales-return-line-extension';
	//# sourceMappingURL=index.d.ts.map
}
// From file: /agent/_work/1/s/x3-services/application/x3-purchasing-sales/build/lib/enums/index.d.ts
declare module '@sage/x3-purchasing-sales/lib/enums/index' {
	export type Dummy = void;
	//# sourceMappingURL=index.d.ts.map
}
declare module '@sage/x3-purchasing-sales' {
	export * from '@sage/x3-purchasing-sales/index';
}
