import { X3EnumDataType } from '@sage/xtrem-x3-gateway';
export declare enum DefinitionLevelEnum {
    folder = 1,
    company = 2,
    site = 3,
    user = 4,
    legislation = 5
}
export interface DefinitionLevel$EnumInterface {
    folder: 1;
    company: 2;
    site: 3;
    user: 4;
    legislation: 5;
}
export type DefinitionLevel = keyof DefinitionLevel$EnumInterface;
export declare const definitionLevelDatatype: X3EnumDataType<keyof DefinitionLevel$EnumInterface, unknown>;
//# sourceMappingURL=definition-level.d.ts.map