import * as sageX3Purchasing from '@sage/x3-purchasing';
import * as sageX3Sales from '@sage/x3-sales';
import { NodeExtension } from '@sage/xtrem-core';
export declare class PurchaseOrderExtension extends NodeExtension<sageX3Purchasing.nodes.PurchaseOrder> {
    readonly salesOrderCategory: Promise<sageX3Sales.enums.OrderCategory | null>;
    readonly partialDelivery: Promise<sageX3Sales.enums.PartialDelivery | null>;
}
declare module '@sage/x3-purchasing/lib/nodes/purchase-order' {
    interface PurchaseOrder extends PurchaseOrderExtension {
    }
}
//# sourceMappingURL=purchase-order-extension.d.ts.map