import * as sageX3FinanceData from '@sage/x3-finance-data';
import * as sageX3MasterData from '@sage/x3-master-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference, date, Collection } from '@sage/xtrem-core';
import * as sageX3Finance from '..';
export declare class JournalEntry extends Node {
    readonly journalEntryType: Reference<sageX3FinanceData.nodes.EntryType>;
    readonly journalEntryNumber: Promise<string>;
    readonly company: Reference<sageX3System.nodes.Company>;
    readonly site: Reference<sageX3System.nodes.Site>;
    readonly journal: Reference<sageX3FinanceData.nodes.Journal>;
    readonly accountingDate: Promise<date | null>;
    readonly journalEntryStatus: Promise<sageX3Finance.enums.AccountingJournalStatus | null>;
    readonly journalEntryTransaction: Reference<sageX3FinanceData.nodes.JournalEntryTransaction>;
    readonly transactionCurrency: Reference<sageX3MasterData.nodes.Currency>;
    readonly journalEntryLines: Collection<sageX3Finance.nodes.JournalEntryLine>;
}
//# sourceMappingURL=journal-entry.d.ts.map