import * as sageX3FinanceData from '@sage/x3-finance-data';
import * as sageX3System from '@sage/x3-system';
import { Node, Reference } from '@sage/xtrem-core';
import * as sageX3Purchasing from '..';
export declare class PurchaseEntryTransaction extends Node {
    readonly entryTransactionType: Promise<sageX3Purchasing.enums.PurchaseDocumentType | null>;
    readonly code: Promise<string>;
    readonly accessCode: Reference<sageX3System.nodes.Access | null>;
    readonly isActive: Promise<boolean>;
    readonly identifier1Entry: Promise<sageX3System.enums.EntryMode | null>;
    readonly identifier2Entry: Promise<sageX3System.enums.EntryMode | null>;
    readonly identifier1Detail: Promise<sageX3System.enums.EntryMode | null>;
    readonly identifier2Detail: Promise<sageX3System.enums.EntryMode | null>;
    readonly isLotExpirationDateAllowed: Promise<boolean>;
    readonly isLotPotencyAllowed: Promise<boolean>;
    readonly isLotCustomField1Allowed: Promise<boolean>;
    readonly isLotCustomField2Allowed: Promise<boolean>;
    readonly isLotCustomField3Allowed: Promise<boolean>;
    readonly isLotCustomField4Allowed: Promise<boolean>;
    readonly defaultStockMovementGroup: Reference<sageX3System.nodes.MiscellaneousTable | null>;
    readonly stockAutomaticJournal: Reference<sageX3FinanceData.nodes.AutomaticJournal | null>;
    readonly stockMovementCode: Reference<sageX3System.nodes.MiscellaneousTable | null>;
}
//# sourceMappingURL=purchase-entry-transaction.d.ts.map