import * as sageX3StockData from '@sage/x3-stock-data';
import * as sageX3System from '@sage/x3-system';
import { Node, date, Reference, integer } from '@sage/xtrem-core';
import * as sageX3Stock from '..';
export declare class StockCountList extends Node {
    readonly stockCountSessionNumber: Promise<string>;
    readonly stockCountListNumber: Promise<string>;
    readonly stockCountListDescription: Promise<string>;
    readonly stockCountDate: Promise<date | null>;
    readonly stockSite: Reference<sageX3System.nodes.Site>;
    readonly stockCountListStatus: Promise<sageX3Stock.enums.StockCountStatusList | null>;
    readonly stockCountListStatusDate: Promise<date | null>;
    readonly isStockCountLocked: Promise<sageX3Stock.enums.BlockedStock | null>;
    readonly numberOfLines: Promise<integer | null>;
    readonly stockCountOperator: Promise<string>;
    readonly allocationDate: Promise<date | null>;
    readonly movementDescription: Promise<string>;
    readonly warehouse: Reference<sageX3StockData.nodes.Warehouse | null>;
    readonly lastAllocationDate: Promise<date | null>;
    readonly stockCountSession: Reference<sageX3Stock.nodes.StockCountSession | null>;
}
//# sourceMappingURL=stock-count-list.d.ts.map