import * as sageX3ProjectManagementData from '@sage/x3-project-management-data';
import * as sageX3System from '@sage/x3-system';
import { Node, integer, Reference, Collection } from '@sage/xtrem-core';
import * as sageX3ProjectManagement from '..';
export declare class TaskCategory extends Node {
    readonly code: Promise<string>;
    readonly localizedDescription: Promise<string>;
    readonly localizedShortDescription: Promise<string>;
    readonly isActive: Promise<boolean>;
    readonly type: Promise<sageX3ProjectManagement.enums.ProjectTaskType | null>;
    readonly planningMode: Promise<sageX3ProjectManagement.enums.PlanningMode | null>;
    readonly duration: Promise<integer | null>;
    readonly costType: Reference<sageX3ProjectManagementData.nodes.CostType | null>;
    readonly personResponsible: Reference<sageX3System.nodes.User | null>;
    readonly timeCategory: Reference<sageX3ProjectManagement.nodes.TimeCategory | null>;
    readonly lines: Collection<sageX3ProjectManagement.nodes.TaskCategoryOperation>;
}
//# sourceMappingURL=task-category.d.ts.map